AIMP v4.50, build 2055 (17.12.2017)
===================================
* Skin Engine: an ability to use the old-style scaling behavior
* Skin Engine: custom possible scale factor has been extended up to 500%
- Fixed: Audio Converter - default template for FAAC command line encoder is invalid (regression)
- Fixed: Skin Engine - known issues have been fixed
- Fixed: Smart-Playlists - tracks meta data were not updated on synchronization in some cases
- Fixed: Player - information about the playing track not updated on the screen for stations that broadcast in the OGG / FLAC / OPUS formants
- Fixed: Playlist - auto bookmark is not created for the playing playlist on close the app
- Fixed: Tag Editor - tag fields with multiple values are read incorrectly in some cases for M4A file format
- Fixed: Tag Editor - the "all words with capital letter" function works incorrectly in some cases
- Fixed: Plugins - inputFFmpeg - replay gain information was not read from file tags for OPUS file format
- Small bugs and defects were fixed


AIMP v4.50, build 2048 (19.11.2017)
===================================
+ Lyrics: support for lyrics that embedded to CUE sheet
* Common: the LAME codec has been updated to v3.100
- Fixed: Lyrics - auto search does not work for tracks from CUE sheet
- Fixed: Music Library - player processes meta data of track incorrectly if the title field contains a "feat" key work
- Fixed: Music Library - filter by the "(none)" value works incorrectly in some cases
- Fixed: Skin Engine - known issues have been fixed
- Fixed: Lyrics - the LRC file format parser processes some brackets incorrectly
- Fixed: Plugins - InputFFmpeg - the AlbumArtist tag field was not read from file tags
- Fixed: Plugins - InputFFmpeg - memory leak
- Small bugs and defects were fixed


AIMP v4.50, build 2042 (30.10.2017)
===================================
* Localizations and 3rd party libraries have been updated
- Fixed: Playlists - changing the read only setting does not take any effect if playlist was not yet loaded
- Small bugs and defects were fixed


AIMP v4.50 RC 2, build 2037 (17.10.2017)
========================================
* Lyrics: options for finding lyrics in folders have been extended
* Music Library: performance of getting file stats operation has been improved
- Fixed: Skin Engine - small bugs were fixed
- Fixed: Default skin - small issues
- Fixed: Playlist - sort the files by created time does not take milliseconds into account
- Fixed: Plugins - inputFFmpeg - replay gain information was not read from file tags


AIMP v4.50 RC, build 2031 (23.09.2017)
======================================
* The Pandemic skin has been update
- Fixed: Player - duration of the audio file in the FLAC format calculates incorrectly if real duration more than 24 hours
- Fixed: Player - detects sample rate incorrectly for some files in WavPack format
- Fixed: Player - does not detect the bitrate of 64-bit M4A files
- Fixed: Player - the "prevent display from powering off" option does not work with mini-player
- Fixed: Skin Engine - few small graphic issues that happens when manual scaling mode is used
- Fixed: Music Library - the content of grouping tree sorts incorrectly in some cases
- Small bugs and defects were fixed


AIMP v4.50 Beta 3, build 2026 (06.09.2017)
==========================================
+ Music Library: Table - an ability to customize list of fields for grouping
+ Music Library: Table - an ability to customize list of fields that used for group details
* Music Library: quick navigate through field value now operates via Ctrl+Click
- Fixed: common - secondary windows can be appeared outside the screen area on showing
- Fixed: Audio Converter - the stats does not reset before new transcoding operation
- Fixed: player - value of the Catalog key does not stored to CUE
- Fixed: Player - files that ends with the " -" text are not imported to playlist from Windows Explorer via the "play all" command
- Fixed: Skin Engine - empty lines of lyrics are not displayed
- Fixed: Skin Engine - scrolling via mouse wheel stops working after restoring minimized window
- Fixed: Skin Engine - TASETextDisplayEx - content of the element are truncated if font with shadow is used
- Fixed: Skin Engine - TASETextDisplayEx - current line of lyrics is shifted to right side if formatting are applied to it
- Fixed: Music Library - closing the app during DB update operation leads to hangs the app
- Fixed: Music Library - Table - width of group details area resets to default value after app restart
- Fixed: Music Library - Table - canceling the sorting by columns are resets collapsed state of all groups in the list
- Fixed: Plugins - API - result of the AIMP_SERVICE_OPTIONSDIALOG_NOTIFICATION_CAN_SAVE notification does not take into account when closing the Options dialog via the "OK" button
- Fixed: Installer - shortcuts of normal version of player are deleted during installation of new copy of player in portable mode
- Small bugs and defects were fixed


AIMP v4.50 Beta 2, build 2023 (21.08.2017)
==========================================
+ Player: support for ATRAC3 file format
+ Skin Engine: the "gray scale" blending mode has been added
+ Skin Engine: an ability to specify custom scale factor for skinned windows
+ Default Skin: support for 125% scale factor
- Fixed: Common - some UI elements displays incompletely on systems with non-standard scale factor
- Fixed: player - values of new tag fields does not stored to CUE
- Fixed: Player - the MKA files cannot be played if it contains audio stream in FLAC format
- Fixed: Player - playback position calculates incorrectly for some files in the MKA file format
- Fixed: Player - some files in AAC file format cannot be played now (regression)
- Fixed: Skin-Engine - an error occurs when applying custom skin if scale factor is differs from 100%
- Fixed: Skin Engine - wave for the waveform-navigator calculates incorrectly (regression)
- Fixed: Skin Engine - window loses focus after restoring from minimized state
- Fixed: Skin Engine - Blending Modes that differs from Normal works incorrectly with semi-transparent textures
- Fixed: Lyrics - an error occurs on trying to open lyrics in LRC file format if it contains only one time stamp.
- Fixed: Lyrics - the SRT file format parser does not take empty lines into account that defined as text
- Fixed: Installer - the "no profiles" exception occured when trying to install update If installed version has never been started before
- Small bugs and defects were fixed


AIMP v4.50 Beta, build 2020 (08.08.2017)
========================================
+ Common: support for 4K monitors
+ Common: support for monitors with different DPI
+ Player: decoders for the WebM and Matroska Audio formats have been added
+ Player: the "jump 5 sec back on start if playback is paused for more than 15 seconds" option has been added
+ Player: the "restore playback position for each playlist" option has been added
+ Player: the "jump to next track on deleting playing file from playlist" option has been added
+ Player: support for lyrics in the .LRC and .SRT file formats (skin must support lyrics too)
+ Playlist: smart-playlists based on playlists -  support for "monitor for changes while running"
+ Playlist: Advanced Search - an ability to show the File Information dialog from search window
+ Playlist: Advanced Search - the "Find in Music Library" command has been added to dialog's context menu
+ Skin Engine: support for scaling
+ Skin Engine: potential abilities have been extended
+ Audio Converter: an ability to close the app automatically after conversion
+ Audio Converter: the statistics are now shown after conversion (optional)
+ Tag Editor: the Lyricist, Mood, Conductor, Catalog, Compilation, ISRC, Rating and Encoder tag fields have been added
+ Tag Editor: an ability to download lyrics from the Internet (additional plugins are required)
+ Music Library: new DB engine that improved performance by 10 times
+ Music Library: the Lyricist, Mood, Conductor and Comment columns have been added
+ Music Library: an ability to quick access to the "reset column filter" commands via context menu of filter button
+ Music Library: an ability to reset stats for selected files only
+ Music Library: an ability to size group details area in default skin
+ Music Library: column customization menu no longer closes after the click
+ Plugins: API - Lyrics API have been added


AIMP v4.13, build 1897 (25.06.2017)
===================================
* Common: localization have been updated
* Audio Converter: special build of LAME codec with unicode file names support has been added
- Fixed: Sound Engine - some scrunchies can be heard when stopping playback by closing the application
- Fixed: Sound Engine - app hangs on lost the audio focus if DirectSound method is used for output
- Fixed: Playlist - playlists with relative paths in AIMPPL4 format are imported incorrectly if file path is started form + or - character
- Fixed: Tag Editor - WAV-file that was edited in AIMP opens in Adobe Audition with the "meta data is corrupted" message in some cases
- Small bugs  were fixed


AIMP v4.13, build 1895 (07.05.2017)
===================================
* Audio Converter: Encoder to MP3 format is now distributed with app
- Fixed: Player - an issue with opening files from AIMP's context menu that integrated to Windows Explorer
- Fixed: plugins - API - adding files to playlist with the AIMP_PLAYLIST_ADD_FLAGS_FILEINFO flag produces internal exception in some cases
- Small bugs were fixed


AIMP v4.13, build 1893 (06.04.2017)
===================================
- Fixed: plugins - API - the IAIMPPlaylistQueue2 interface has no implementation (regression)
- Small bugs were fixed


AIMP v4.13, build 1891 (02.04.2017)
===================================
* Common: localizations have been updated
* Player: support for ID3v1 tag for remote files
* Music Library: Performance of grouping tree has been improved
- Fixed: Audio Converter - FLAC - an error occured during converting process on some PC
- Fixed: Audio Converter - FLAC / OGG - encoders works incorrectly with multiple values from tags fields
- Fixed: Sound Engine - UI hangs if decoder does not respond for a long time
- Fixed: Music Library - the name of target playlist generates incorrectly for files dragged from grouping tree of music library
- Fixed: Music Library - report generates incorrectly for fields with multiple values
- Fixed: Plugins - Last.fm - plugin leads to hang up the application in some cases when display information about the song


AIMP v4.13, build 1889 (08.03.2017)
===================================
* Music Library: Reports - limits of tables have been extended
- Fixed: Internet radio - the station name instead of the track title is displayed in some cases
- Fixed: Music Library - reports - tracks with same values of the title and artist field processes as single track


AIMP v4.13, build 1887 (19.02.2017)
===================================
- Fixed: Player - an issue with opening multiple files from the Windows Explorer (you need to re-associate file types)


AIMP v4.13, build 1886 (14.02.2017)
===================================
+ Plugins: Information bar - an ability to show information bar via hotkey
* Common: Localization were updated
* Common: the FLAC codec has been updated to v1.3.2
* Common: the WavPack codec has been updated to v5.1.0
* Sound Engine: algorithm that calculates channels remapping matrix has been improved
* Sound Engine: Compatibility with external sound cards has been improved when playing using exclusive device access mode
* Music LIbrary: Grouping tree - search is now take into account only fully loaded node levels
* Music Library: Reports - the Artist tag field is now used instead of the AlbumArtist field
* Music Library: Table - memory consumption has been reduced for views with album arts
- Fixed: Common - addons packages cannot be installed if one of files in the packages is not compressed
- Fixed: Options Dialog - File Associations - first icon set are always selected in the dialog
- Fixed: Options Dialog - Hotkeys - incorrect groups order in the table
- Fixed: Options Dialog - Skins - installing update for the skin does not refresh information about the skin if options dialog is displaying
- Fixed: Player - information about the playing track not updated on the screen, if internet radio station sends meta-data very often
- Fixed: Player - app hangs in some cases during switching the tracks on radio, if internet radio capture is active
- Fixed: Playlist - the file size field stores incorrectly to the AIMPPL4 file format, if the value is more than 2 GBytes
- Fixed: Playlist - confirmation for the delete file physically action displays behind other windows if app is minimized to tray
- Fixed: Audio Converter - command line switches processes incorrectly in some cases
- Fixed: Tag Editor - command line switches processes incorrectly in some cases
- Fixed: Tag Editor - the ANSI encoding is used instead of UTF8 for export the CUE / Lyrics fields to a file
- Fixed: Tag Editor - cache not updated after calculating the BPM


AIMP v4.12, build 1880 (06.01.2017)
===================================
* Common: Localization were updated
* Common: compatibility with the TeamViewer QuickConnect
* Sound Engine: Compatibility with external sound cards has been improved
* Music Library: Files Monitoring - an ability to add few folders at same time
- Fixed: Common - command line - switches are case sensitive
- Fixed: Common - command line - values that contains ; or = symbols processes incorrectly
- Fixed: Common - scrolling delta calculates incorrectly when touchpad is used
- Fixed: Tag Editor - files that specified via command line are ignored
- Fixed: Music Library - short links does not work (regression)
- Fixed: Music Library - quick search in grouping tree does not work (regression)
- Small bugs were fixed


AIMP v4.12, build 1878 (25.12.2016)
===================================
* Sound Engine: support of ASIO devices with number of output channels more than 30
- Fixed: Skin Engine - the main window does not become active after closing child window
- Fixed: Music Library - Grouping Tree - selection resets to default state in some cases if the "By Folders" grouping template is used
- Fixed: Music Library - Grouping Tree - sorting works incorrectly in some cases
- Small bugs were fixed


AIMP v4.12 RC, build 1873 (10.12.2016)
======================================
* Common: localization have been updated
* Playlist: auto-name generation algorithm now can use information from the Artist, AlbumArtist and Album tag fields
- Fixed: Sound Engine - sound distortions occurs after automatic switching to next track in set if resampler is used and duration of cross-mixing effect is lower than 200 msec
- Fixed: player - non-complete information about the track is displayed during playback of remote file that is in the OPUS / FLAC or OGG format
- Fixed: Playlist - only single URL can be added to playlist via drag-n-drop
- Small bugs were fixed


AIMP v4.12 Beta, build 1870 (28.11.2016)
========================================
* Common: localization have been updated
* Common: 3rd party libraries have been updated
* Player: performance of file adding operation has been improved
- Known issues have been fixed


AIMP v4.12 Beta, build 1860 (05.11.2016)
========================================
* General: you no longer required to run application as administrator to install add-ons or setup the file associations
* General: support of easy-to-install technology for add-ons packages in *.zip / *.aimppack formats
* Audio Converter: the "shutdown computer after conversion" settings are no longer disabled during conversion operation
* Audio Converter: presets for the fdkaac command line encoder has been added (thanks to Soolo)
- Fixed: player - player starts playing playlist that imported from external application from second track instead of first in some cases
- Fixed: player - mouse click at icon in notification area may be ignored in some cases
- Fixed: Sound Engine - an error in synchronization mechanism between threads that leads to application crash
- Fixed: File Information - dialog appears behind the music library and playlist windows if the windows are undocked from main and the "stay on top" option is switched on
- Fixed: Music Library - state of the "combine empty grouping levels when possible" option is ignored
- Fixed: Music Library - Local Files - the "automatically delete non-existing files from DB" function works incorrectly in some cases
- Fixed: Music Library - Local Files - the Files Monitoring function does not track the file content changes
- Fixed: Music Library - Local Files - an error in query builder may leads to application crash
- Fixed: Music Library - smart-playlists - content disappears after re-saving the smart-playlist settings
- Fixed: Music Library - smart-playlists - filtering works incorrectly for columns that support the multiple values
- Small bugs were fixed


AIMP v4.11, build 1841 (09.10.2016)
===================================
- Fixed: Playlist - the "add entire folder if one file is sent" option does not work correctly in some cases (regression)
- Fixed: Playlist - no ability to select few collapsed groups via keyboard
- Fixed: music library - table - album thumbnails view - playback that invoked via mouse double click always started from the first track in group
- Fixed: Music Library - small bugs were fixed
- Fixed: Plugins - API - an error occurs when calculating the hash code for certain images (regression)


AIMP v4.11, build 1839 (30.09.2016)
===================================
+ Playlist: an ability to search items by absolute item index in the list
+ Music Library: Table - local files - average rating is now displayed for each group
+ Music Library: Table - Album Thumbnails View - an ability to expand/collapse groups
* Music Library: Table - loading speed of album arts has been increased at 10 times
* Music Library: Table - position of group in the list does not affect to records sorting anymore
- Fixed: Player - the information about the playing track from internet radio station was not updated in some cases
- Fixed: Playlist - sorting by the duration or/and channel count fields works incorrectly
- Fixed: Tag Editor - copying the album art to clipboard produces an invalid bitmap stream
- Fixed: Music Library - application crashes when trying to close the "Misplaced Files" dialog if search process is active
- Fixed: Music Library - smart-playlists - the NOT operator does not work for the "contains", "begins with" and "ends with" operations for fields that support the multiple values (thanks to Vasiliy)
- Fixed: installer - the "out of memory" exception occurs during creating the uninstaller on some PCs
- Small bugs were fixed


AIMP v4.10, build 1831 (31.08.2016)
===================================
+ Advanced search: an ability to select certain playlists for search
+ Advanced Search: search string and result are now saves within a single working session
* Skin Engine: rendering has been optimized
- Fixed: common - an error occurs in some cases during application startup that leads to crash the application if the aimp_VK plugin is loaded
- Fixed: common - content of legend for macros does paints incorrectly
- Fixed: skin engine - the position of float-arrow calculates incorrectly
- Fixed: Tag Editor - MP4 - encoding of titles of QuickTime chapters detects incorrectly in some cases
- Fixed: Music Library - content of smart-playlist disappears on assigning the "sort by field" option in filtering settings
- Small bugs were fixed


AIMP v4.10, build 1827 (08.08.2016)
===================================
* General: 3rd party libraries were updated
* Tag Editor: blank spaces removes now automatically when save the changes
* Music library: selection in the table can be inverted now via the Num * key
- Fixed: common - an error occurs in some cases during application startup that leads to crash the application
- Fixed: Plugins - API - file cannot be downloaded if URL contains the ":" symbol in the path
- Fixed: Plugins - Compact Disk Audio - an access provider to the CDDB does not work
- Small bugs were fixed


AIMP v4.10 RC, build 1823 (22.07.2016)
======================================
* Player: the "show current track information in taskbar" option is now affects to album art in aero peek.
* Plugin: API has been extended
- Fixed: common - known memory leaks
- Fixed: player - bitrate of files in MP3 format detects incorrectly in some cases
- Fixed: Music Library - an error occurs when applying the column filter
- Fixed: music library - memory corruption occurs when using music library as preimage for smart-playlist
- Small bugs were fixed


AIMP v4.10 Beta 2, build 1820 (06.07.2016)
==========================================
+ Sound Engine: waveform-navigator for remote files is now supported
+ Smart-playlist: an ability to use local / remote playlist file as preimage
+ Plugins: Compact Disk Audio - support for the CUE format in CDText
+ Plugins: BASS_HLS - support for HTTP Live Streaming (beta)
* Music Library: quick switching between templates of the grouping tree are now going via Ctrl+Shift+Click in the table
- Fixed: Sound Engine - stops the playback in some cases after ending the remote desktop session
- Fixed: Tag Editor - few small bugs when editing tracks from CUE
- Fixed: Music Library - poor performance of quick search in Grouping Tree
- Small bugs were fixed


AIMP v4.10 Beta 1, build 1816 (18.06.2016)
==========================================
- Known bugs were fixed


AIMP v4.10 Beta 1, build 1815 (15.06.2016)
==========================================
+ Player: MP4 - support for QuickTime chapters (that located in section with audio data)
+ Player: Internet Radio - an ability to skip short tracks during recording
+ Player: Internet Radio - displaying of buffering progress
+ Player: Internet Radio - support for background recording
+ Tag Editor: Autofill Tags - an ability to exclude file from operation
+ Tag Editor: Autofill tags - improve the usability of settings dialog
+ Tag Editor: an ability to crop the album arts images
+ Tag Editor: an ability to edit CUE sheets
+ Tag Editor: support for the WAV format
+ Music Library: the "play selected files" command has been added
+ Music Library: New view for groups in the table - Thumbnails
+ Music Library: an ability to filter data in grouping tree by search string has been introduced
+ Plugins: API has been extended


AIMP v4.02, build 1725 (11.06.2016)
===================================
* Playlist: an ability import playlists in the WPL format
* Plugins: Compatibility with plugins from v2.60 has been improved
- Fixed: Common - tray icon display options are resets after restart the application
- Fixed: Tag Editor - resizing album art changes the image file format
- Fixed: Music Library - poor performance in some cases
- Small bugs were fixed


AIMP v4.02, build 1721 (30.05.2016)
===================================
* General: 3rd party libraries were updated
- Fixed: common - the %FileFormat macro does not work correctly for URLs
- Fixed: Playlist - Advanced Search - search by multiple keywords in different tag fields works incorrectly
- Fixed: Tag Editor - APEv2 - multi-line fields saves incorrectly if their data contains ";" symbol
- Fixed: Tag Editor - displays last cover from the files instead of the Front cover
- Fixed: Music Library - an error occurs when populating the list of possible values for filter by column
- Fixed: Music Library - hangs on application start up in some cases
- Small bugs were fixed


AIMP v4.02, build 1717 (08.05.2016)
===================================
* Plugins: Analog Meter - no limitation for pointer angle
* Plugins: Analog Meter - an ability to specify different textures and parameters for left and right units
- Fixed: Plugins - Analog Meter - founded bugs were fixed
- Fixed: plugins - API - the IAIMPServiceHttpClient.Post does not work (regression)
- Small bugs were fixed


AIMP v4.02, build 1713 (26.04.2016)
===================================
+ Plugins: Analog Meter - support for custom skins
* General: 3rd party libraries have been updated
- Fixed: Common - app cannot be started in compatibility mode  (regression)
- Fixed: Player - album arts does not displayed for images + CUE (regression)
- Fixed: Tags - MP4 - the Rating tag field is not supported
- Fixed: Music Library - the "(show all)" command ignores alphabetic index in some cases
- Small bugs were fixed


AIMP v4.02, build 1711 (17.04.2016)
===================================
+ Sound Engine: added support for Wave64 file format (PCM and IEEE_FLOAT codecs are supported)
* Sound Engine: spectrum data has a logarithmic scale now
* Sound Engine: spectrum data is now calculates for hearing range of frequencies only (20 Hz - 20 KHz)
* Playlist: an ability to switch playlist via context menu of the playlist tab
* UI: Table Elements - changing the sorting direction of column that used in data grouping affects now to groups position too
* Plugins: Analog Meter - all textures adapted for FullHD screens
- Fixed: AudioConverter - MP3 - the VBR Header was not stored to the target file
- Fixed: AudioConverter - MP3 - the Joint Stereo mode is always used if bitrate mode is set to the CBR / ABR
- Fixed: DSP Manager - volume normalization settings are resets too when reset sound effects settings
- Fixed: Album Arts - cache manager does not take value of the Year tag field into account
- Fixed: Player - Internet Radio - the HTML-codes displays instead of human-readable text for some radio stations
- Fixed: Player - the "0.00 db" value of the ReplayGain field recognized by player as undefined
- Fixed: Playlist - an error occurs if cancel the input query for name for new playlist during import the file from external application operation
- Fixed: Skin Engine - TASESpectrumDisplay - column count changes after resize the element
- Fixed: Skin Engine - window resize rectangle does not snap to monitor edge if taskbar is hidden
- Fixed: Music Library - the "(show all)" command ignores alphabetic index
- Fixed: Music Library - filters - the "contains" operator is case sensitive for non-latin characters
- Small bugs were fixed


AIMP v4.01, build 1705 (19.03.2016)
===================================
- Fixed: Bookmarks - selected bookmarks removes after sorting via drag-n-drop (regression)
- Fixed: Skin Engine - some skins from AIMP3 loads incorrectly (regression)
- Fixed: UI - in-place editing does not work in table elements (regression)


AIMP v4.01, build 1703 (15.03.2016)
===================================
* General: the FIJO Flat icons are now default file icons (thanks to Zigar)
* Audio Converter: the "file name" column has been added
* Playlist: the "Import entire folder if one file is sent" option has been introduced in the "Open files from external applications" category
* Playlist: reloading file tags in the playlist now updates these files in the database of music library
* Music Library: an ability to add selected files to bookmarks
* Music Library: an ability to replace rating in DB from tags when updating information about the files if the "synchronize user mark with file tags" option is switched on
* Music Library: an ability to drag group via album art thumbnail
* Music Library: algorithm of files monitor has been improved
- Fixed: Common - CUE parser ignores apostrophe at the beginning or end of the value
- Fixed: Player - the "%Index" macro skipped when copying file information to clipboard
- Fixed: smart-playlists - automatic synchronization does not work (regression)
- Fixed: tag editor - focused item is always processed even if it not selected
- Fixed: Music Library - click at the "Mark" column via MMB or RMB changes the value
- Fixed: Music Library - labels in context menu are not sorted by name
- Fixed: Music Library - no way to scroll list of labels via scroll bar if one of labels is selected
- Fixed: Music Library - adding / updating process interrupts if an error occurred when processing one of files
- Fixed: Music Library - filtering works incorrectly if one of filters contains a NOT OR / NOT AND operations
- Fixed: UI - tables with groups - an error occurs when deleting the content of group and group is focused
- Small bugs were fixed


AIMP v4.00, build 1697 (22.02.2016)
===================================
* General: 3rd party libraries have been updated
* Playlist: the "%!" macro is now affects to next macro, not to entire formatting line
- Fixed: Playlist - loses focus after quick search
- Fixed: Tag Editor - some genres are duplicated after the re-opening of the window
- Fixed: Tag Editor - an AV exception occurs sometimes when renaming group of files
- Fixed: Music Library - navigation via short links does works incorrectly (regression)
- Fixed: Music Library - table view - sorting resets to defaults after restart the app
- Fixed: Plugins - API - an error in the IAIMPExtensionPlaybackQueue.OnSelect method (regression)
- Fixed: Plugins - Last.fm - no line breaks for details in  the "Track Information" dialog


AIMP v4.00, build 1695 (14.02.2016)
===================================
- Fixed: Music Library - customized layout of columns is not saved


AIMP v4.00, build 1694 (14.02.2016)
===================================
* General: digital signature has been updated
* Audio Converter: list of templates for NeroAAC has been extended
- Fixed: common - CUE parser cannot determine fields with multiple values in some cases
- Fixed: Player - application hangs when switching tracks on radio stations that broadcast in the format FLAC
- Fixed: Bookmarks - position does not saved after manual sorting in the dialog
- Fixed: UI - table elements - multiple selection via selection rectangle works buggly
- Fixed: Skin Engine - small bugs were fixed
- Fixed: Audio Converter - cannot scroll the list with files if converting process is active
- Fixed: Audio Converter - stores tags to the MusePack in the ID3v2 format instead of the APEv2 format.
- Fixed: Audio Converter - click the "jump to folder" button opens the plugins directory if path is empty
- Fixed: Tag Editor - ID3v2 - does not display information from some tag fields if file was exported from the Audacity app
- Fixed: Tag Editor - application hangs when trying to edit file with corrupted album art
- Fixed: Tag Editor - ReplayGain calculation works incorrectly in mode "get album from tags"
- Fixed: Music Library - an error occurs when window redraws if grouping tree is in loading data process
- Fixed: Music Library - smart-playlists - poor performance for lists with multiple filters
- Fixed: Music Library - custom grouping templates works incorrectly
- Fixed: Music Library - application hangs in some cases when removing multiple files from folder that monitored by music library
- Fixed: Music Library - value of option that switch off recursive scanning for folder was resets after restart the app
- A lot of small bugs were fixed


AIMP v4.00, build 1687 (18.01.2016)
===================================
* General: Monkey's Audio codec has been updated
* Skin Engine: Seek bar - Hint with position under mouse cursor now appears
- Fixed: Common - the "Move to..." command does not work for playing file
- Fixed: UI - table elements - selection of all items via Ctrl+A shortcut moves focus to first item
- Fixed: Playlists Manager - an empty playlists were created when moving few folders via drag-n-drop to playlists list
- Fixed: Player - Internet Radio - meta information changed too early than track really started
- Fixed: Tag Editor - OGG / FLAC / OPUS - multi-line fields saves incorrectly if their data contains ";" symbol
- Fixed: Skin Engine - default frame index of TASEAnimator element always equals to 0 even if binding is defined
- Fixed: Skin Engine - few compatibility issues with old skins were fixed
- Fixed: Skin Engine - localizations for custom context menus was not refreshed in real-time
- Fixed: Skin Engine - hint in music library table / playlist blinks when running under Windows 7 if desktop composition is disabled
- Fixed: Skin Engine - window content was not refreshed after changing the element placement from script
- Fixed: Music Library - import data base from AIMP3 - files from network locations cannot be imported
- Fixed: Music Library - the "find in Music Library" command does not work if the "no grouping" mode is selected
- Fixed: Music Library - playback accounting works incorrectly if playback speed different from default value
- Small bugs were fixed


AIMP v4.00, build 1683 (29.12.2015)
===================================
* Skin Engine: waveform-navigator - accuracy of analysis has been improved
- Fixed: Common - application hangs in some cases on closing, and continuing playback of playlist
- Fixed: Player - encoding of online-stream in Ukrainian detects incorrectly
- Fixed: Player - files from CUE Sheets cannot be send to Tag Editor app
- Fixed: Skin Engine - Calculating the waveform for seekbar can be canceled spontaneously in some cases
- Fixed: Music Library - RMB at content of the "Labels" column displays common context menu instead of menu for labels
- Fixed: Music Library - the "check for new files at application start up" function does not work in some cases
- Fixed: Music Library - scrolling via gestures does not work


AIMP v4.00, build 1680 (22.12.2015)
===================================
+ UI: An ability to switch on countdown in context menu of seek bar
+ UI: the Bliss Dark skin has been added
- Fixed: Common - the app does not work on some computers because of crash in the libsoxr.dll / aimp_vorbis.dll
- Fixed: common - CUE parser ignores delimiter symbols in unquoted field values (regression)
- Fixed: Skin Engine - Playlist name after rename does not updated in visible skin elements
- Fixed: Tag Editor - the Replay Gain from file with CUE sheet does not show in the "Information about file" dialog
- Small bugs were fixed


AIMP v4.00, build 1678 (15.12.2015)
===================================
- Fixed: Playlists Manager - manual sorting does not work
- Fixed: Player - tracker music - noise appears on some files after seeking
- Fixed: Playlists - newly added playlists via dran-n-drop always moved at the end of list
- Fixed: Skin - album art from the playing file is displaying in card with information about the file from playlist
- Fixed: Skin Engine - the "smooth transparency" option sometimes works incorrectly
- Fixed: Skin Engine - click via right mouse button at running line displays context menu of window in addition to dialog with information about playing file
- Fixed: Music Library - Grouping Tree - double click at selected node does not collapse / expand it
- Fixed: Music Library - the "Local files" tab header is not drop target for files unlike playlists tabs
- Fixed: Music Library - Smart-Playlist - value that equals to "Rating" of the "sort by field" option resets after restart the application
- Small bugs and defects were fixed


AIMP v4.00 RC 3, build 1675 (30.11.2015)
========================================
* Options Dialog: the "OK" button has been added
* Options Dialog: multiple selection in skin chooser frame
* Playlist: Added an ability to rescan tags for selected files only
* Audio Converter: MP3 Encoder - added an ability to select target sample rate
* Tag Editor: An ability to select all types of tags by one click
- Fixed: Playlist - M3U - parser works with comments incorrectly
- Fixed: Skin - No window context menu in mini player
- Fixed: Skin Engine - Changing the hue processes incorrectly for fonts of some elements
- Fixed: Skin Engine - small bugs were fixed
- Fixed: Music Library - AIMP3 DB Import - labels cannot be imported
- Fixed: SACD - seeking works incorrectly when playing file that size more than 4 GB
- Small bugs were fixed


AIMP v4.00 RC 2, build 1670 (13.11.2015)
========================================
+ Audio Converter: an ability to switch off grouping
* General: CUE parser - support for multiple values fields
* Tag Editor: Added an ability to store custom values to list of the "Genre" edit field
- Fixed: Playlists Manager - an error occurs when click on delete button that available if the "remove playlist when closing tab" options is switched on
- Fixed: Skin Engine - a space character has been added to text box when focusing it via TAB key
- Fixed: Skin Engine - backward navigation via Shift+Tab key does not work
- Fixed: Skin Engine - options that allows to temporary switch off transparency of window conflicts with desktop toolbar mode
- Fixed: Skin Engine - an error occurs when closing the application, if mouse cursor is located under docked child window
- Fixed: Skin Engine - TASEPanel element - context menu does not work
- Fixed: Skin Engine - TASEVisualDisplay element - hit-test mask ignored if visualization is active
- Fixed: Music Library - an error occurs when trying to set mark to few files
- Fixed: Music Library - an incorrect drive for tracks is displayed in some cases
- Fixed: Plugins - few small bugs in new version of API
- Small bugs were fixed


AIMP v4.00 RC 1, build 1667 (30.10.2015)
========================================
- Fixed: Common - Browse Folder dialog - name of parent folder is lost after create the new folder
- Fixed: Common - problems with closing the application via context menu of app button at taskbar
- Fixed: Common - URL cannot be moved from one playlist to other via Drag-n-Drop
- Fixed: player - internet-radio - cyrillic symbols does not detected correctly in some cases
- Fixed: Playlist - Managing Playlists dialog - double click at scroll bar selects playlist item under it
- Fixed: Playlist - dropping playlist file to the playlist tabs area does not import it as playlist file
- Fixed: Skin Engine - hint for the bookmark in the drop down bookmarks menu was not skinned
- Fixed: Skin Engine - hint for playlist item does not take zoom factor into account
- Fixed: Advanced Search - the "Index in Queue" column is too small by default
- Fixed: Advanced Search - selected track starts playing by double-clicking at separator between columns
- Fixed: Music Library - local hotkeys that contains only the SHIFT modifier does not work
- Fixed: Music Library - the "Composer" tag field does work with multiple values
- Fixed: Music Library - folder that dropped to grouping tree, adds to the "Default" playlist and starts playing automatically
- Small bugs were fixed


AIMP v4.00 Beta 4, build 1663 (16.10.2015)
==========================================
+ Plugins: API for plugins has been updated to v4
- Fixed: Player - the "stop after current" function does not work for internet radio
- Fixed: Skin Engine - window size restores incorrectly in some cases at application startup
- Fixed: Tag Editor - application hangs while saving the changes in some cases
- Fixed: Tag Editor - no icon for "rename file" button
- Fixed: music library - report - the "album artist" field is used for the "top albums" section
- Fixed: Music Library - table scrolls to beginning after changing mark in table
- Small bugs were fixed


AIMP v4.00 Beta 3, build 1658 (26.09.2015)
==========================================
* Music Library: performance of rating calculation algorithm has been increased by two orders
- Fixed: Playlist - remove file confirmation dialog appears unfocused if application is inactive (regression)
- Fixed: Playlist - collapsed group cannot be unselected via keyboard in some cases
- Fixed: Skin Engine - music library - click via right mouse button closes menu and does not open it again
- Fixed: Music Library - selection in the "missplaced files" dialog does not work
- Fixed: Music Library - add already indexed files to DB in some cases
- Fixed: UI - autocomplete in ComboBox element is not case sensitive
- Fixed: UI - auto height of CheckBox or RadioButton elements calculates incorrectly
- Fixed: Plugins - Last.fm - tracks that contains a "&" symbol cannot be scrobbled (regression)
- Small bugs were fixed


AIMP v4.00 Beta 3, build 1655 (20.09.2015)
==========================================
+ Smart-playlists: added an ability to sort files after adding to playlist via user defined template
+ Tag Editor: added an ability to copy / paste album art images to / from the system clipboard
+ Music Library: added an ability to combine an empty levels in grouping tree in the "no grouping" mode
+ Music Library: added an ability to find misplaced files automatically
+ Music Library: added an ability to delete automatically non-existed files from data base
+ Music Library: added an ability to send selected files from grouping tree to selected playlist
* General: 3rd party libraries have been updated
* General: Parser for CUE formats now ignores an empty fields
* Playlist: Performance of builder for shuffle queue has been increased at 3 times
* Skin Engine: waveform-navigator - accuracy of analysis has been improved
- Fixed: Common - tables - no an ability to start selection via mouse by clicking at empty space of control
- Fixed: Playlist - quick search - no an ability to navigate between items via cursors
- Fixed: Playlist - an error occurs when clicking at the header of group in some cases
- Fixed: Playlist - title of confirmation dialog window contains information about the playable file instead of application title
- Fixed: Playlist - selection of group of files works incorrectly if content has been filtered
- Fixed: Player - running line does not updated after changing the track mark
- Fixed: Player - internet-radio - macro selection menu woks incorrectly
- Fixed: Player - application hangs when trying to play some corrupted WAV-files.
- Fixed: Player - equalizer - preamp line is not visible
- Fixed: Skin Engine - mini-player window that docked to screen edge does not hide automatically
- Fixed: Skin Engine - no way to restore the AIMP by click via middle mouse button at tray icon
- Fixed: Skin Engine - dock area was not highlighted when dock the child window to top edge of master window
- Fixed: Skin Engine - window was not maximized after double click at the title area, if docked window is placed in this area.
- Fixed: Skin Engine - small bugs and defects
- Fixed: Default skin - waveform is displaying when listening radio station, even if the "show waveform over the seek bar" option is switched off
- Fixed: Default skin - small bugs were fixed
- Fixed: Tag Editor - an error occurs in some cases when trying to save changes if player is running
- Fixed: Music Library - grouping tree -  the "no grouping" mode is case sensitive
- Fixed: Music Library - playback cannot be started via double click at table
- Fixed: Music Library - no information about the virtual files in the "information about file" dialog
- Fixed: Music Library - few button does not have tool tips
- Fixed: Music Library - sorting by the "file size" field works incorrectly
- Fixed: Music Library - total duration of files in table calculates incorrectly
- Fixed: Plugins - Last.fm - tracks that contains a "%" symbol cannot be scrobbled
- Fixed: Plugins - Last.fm - no information about the user in the "information about file" dialog


AIMP v4.00 Beta 2, build 1650 (31.08.2015)
==========================================
+ Music Library: now the data are loaded for visible columns only
* General: macro names in menu with macro list are highlighted now via bold font
* Skin Engine: waveform-navigator - accuracy of analysis has been improved
* Skin Engine: waveform-navigator - added support of Replay Gain settings
* Skin Engine: waveform-navigator - performance of calculation has been improved
* Music Library: performance of the "search new files" operation has been improved
- Fixed: Sound Engine - application crashes if user select more than 8 channels in settings of ASIO-based device
- Fixed: common - an error occurs in some cases when closing the application that could lead to hang of the application
- Fixed: Common - menu with macro list does not work for formatting line for internet radio capture
- Fixed: Playlist - tooltip for truncated text of item does not allow to set user rating for track
- Fixed: Playlist - the "insert after current" command removes tracks from read only playlists
- Fixed: Playlist - application hangs when trying to set user mark for group of files
- Fixed: Tag Editor - wrong information is displayed in main window for selected track if editor was not load information about it
- Fixed: skin - height of caption bar of visualization window is differs from height of caption bar of other secondary windows
- Fixed: Skin Engine - an error occurs when restoring the minimized fixed window
- Fixed: Skin Engine - mini-player appears again after change the skin to another
- Fixed: Skin Engine - scroll bar does not react on click via middle mouse button
- Fixed: Skin Engine - user can resize window via right and middle mouse buttons
- Fixed: Skin Engine - size of main window is changed in some cases after restore the minimized window
- Fixed: Skin Engine - background color of AlbumArt element loads incorrectly for skins from AIMP3
- Fixed: Music Library - wrong order of files when moving them into a playlist via drag-n-drop
- Fixed: Music Library - value of the album artist field does not take into account for grouping
- Fixed: Music Library - hiding a column does not reset the sorting by this column
- Fixed: Music Library - hiding a column does not reset the column filter
- Fixed: Music Library sends to editor non-existent files
- Fixed: Plugins - Last.fm - no support for tag fields with multiple values
- Fixed: Plugins - Last.fm - duration of track does not sent to server
- Small bugs were fixed


AIMP v4.00 Beta 2, build 1647 (18.08.2015)
==========================================
* Sound Engine: added an ability to specify the 352.8 KHz sample rate (for devices that support this sample rate)
* General: hints are now displayed when changing the slider in the DSP-Manager dialog via mouse wheel or keyboard
* General: formatting templates - list of available functions moved to sub-menu
* Skin: added an ability to reduce main window width to 450 px
* Skin Engine: playlist - hint is now appears for truncated items
* Skin Engine: loading speed has been increased for skins in the ACS4 format
* Skin Engine: waveform-navigator - wave creation progress is now displayed
* Music Library: Grouping Tree Preset Editor - drag-n-drop support has been added
* Music Library: Grouping Tree Preset Editor - multi-select functionality has been added
- Fixed: Playlists Manager - an error occurs when loading inactive playlist via click by checkbox in the group header
- Fixed: Playlist Manager - an error occurs when trying to import folders as playlist, if one of loaded playlist is folder based smart-playlist
- Fixed: Player - an error occurs when trying to delete equalizer preset
- Fixed: Playlist - adding the files - progress of the "find files" operation is not displaying
- Fixed: Tag Editor - ID3v2 - parser does not work correctly with multiple values fields
- Fixed: Skin Engine - an error occurs in some cases during fading finalization in the TabControl element
- Fixed: Skin Engine - an error occurs when loading a skin that uses a blur effect
- Fixed: Skin Engine - hue intensity incorrectly applied to shared textures
- Fixed: Skin Engine - elements draws incorrectly if they placed over the masked BluredGlass element
- Fixed: Skin Engine - behavior of scroll bars in the elements of music library is differs from behavior of scroll bar in playlist
- Fixed: Skin Engine - elements of music library - incremental search does not override the local hotkeys
- Fixed: Skin Engine - waveform-navigator cuts off the wave of playable track in some cases
- Fixed: Music Library - an error occurs if hide all columns
- Fixed: Music Library - grouping by date works incorrectly
- Fixed: Music Library - rescan tags does not work with edited CUE files
- Fixed: Music Library - does not work under Windows XP
- Fixed: Music Library - some settings cannot be stored to configuration file
- Fixed: Music Library works with read-only playlists incorrectly
- Fixed: Music Library - no hint for truncated text of currently using grouping tree preset
- Fixed: Music Library - filter editor saves nested levels incorrectly
- Small bugs were fixed


AIMP v4.00 Beta 1, build 1645 (08.08.2015)
==========================================
+ General: version number of application has been removed from names of binaries
+ General: macros - one-letter / two-letter names of macros are replaced with friendly names
+ General: macros - list of macros for playable file has been expanded, following macros have been added: %AlbumGain, %TrackGain and %Lyrics
+ General: macros - list of functions for text manipulation has been expanded
+ General: the "copy to" / "move to" functionality - an ability to save folder structure
+ UI: new design of application
+ UI: windows animation no longer inhibits UI
+ UI: scrollbar thumb jumps to previous position when mouse cursor leaves scrollbar zone
+ Player: an ability to limit number of attempts to reconnect to internet-radio station when connection is lost
+ Playlist: Quick Search - algorithm has been changed: the content that isn't satisfying to a search string hides now
+ Playlist: the "move to..." functionality has been introduced
+ Playlist: the "Find in Music Library" command has been added
+ Playlist: smart playlists - an ability to build playlist based on data from Music Library with an ability to filter and group data
+ Playlist: smart playlists - an ability to build playlist based on one or few directories
+ Playlist: smart playlists - synchronization with pre-image is now works in separate thread
+ Playlist: playlist files are now imports each into separate tab if the "open files from external applications" option set to "create new playlist".
+ Playlists Manager: an ability to view size and duration summaries of selected playlists
+ Playlists Manager: drag-n-drop support for the preview window has been added
+ Skin Engine: potential abilities have been expanded (refer to the help for Skin Editor for more information)
+ Tags: added support for multiple values for APEv2, ID3v2, Vorbis Comments and M4A tags formats
+ Audio Converter: support for aften.exe command-line encoder for AC3 format has been added (thanks to Soolo)
+ Music Library: integrated into the main application
+ Music Library: "the" article isn't cut out when adding files in a DB any more
+ Music Library: an ability to save user mark to tags of file automatically (optional)
+ Music Library: an ability to specify different columns set for table and card views
+ Music Library: an ability to adjust height of the alphabetic index control
+ Music Library: an ability to set user-defined filter for grouping preset
+ Music Library: an ability to drag album by its album art
+ Music Library: an ability to scroll song list via mouse wheel without focusing of it
+ Music Library: an ability to fast scroll via mouse wheel if Ctrl key is pressed
+ Music Library: Report generator - support of fields with multiple values has been added
+ Music Library: the "move to..." functionality has been added
+ Music Library: file name column displays a name of file without path now
+ Music Library: alphabetic index is now supported for all fields
+ Music Library: skin support has been added
+ Music Library: the "no grouping" mode - an ability to fill song list from current folder only (without sub-folders)
+ Music Library: support of network files has been improved
+ Plugins: Scheduler - sleep timer - an ability to fade out volume
+ Plugins: Scheduler - the "OK" button has been added
+ Plugins: SACD - ISO - now the plugin displays both stereo and 5.1 tracks


AIMP v3.60, build 1503 (26.09.2015)
===================================
- Fixed: UI - auto filling in Combobox element ignores case
- Fixed: playlist - delete file confirmation window does not focused if application is not active (regression)
- Fixed: Plugins - Last.fm - tracks that contains a "&" symbol cannot be scrobbled (regression)


AIMP v3.60, build 1502 (20.09.2015)
===================================
* General: 3rd party libraries have been updated
* General: Parser for CUE formats now ignores an empty fields
* Playlist: Performance of builder for shuffle queue has been increased at 3 times
- Fixed: Playlist - title of remove file confirmation dialog window contains information about the playable file instead of application title
- Fixed: Playlist name was not changed after save the playlist to external file with different name
- Fixed: Plugins - few small bugs in API were fixed
- Fixed: Plugins - Last.fm - tracks that contains a "%" symbol cannot be scrobbled
- Fixed: Plugins - Last.fm - no information about the user in the "information about file" dialog
- Small bugs and defects were fixed


AIMP v3.60, build 1500 (31.08.2015)
===================================
* Sound Engine: added an ability to specify the 352.8 KHz sample rate (for devices that support this sample rate)
- Fixed: Sound Engine - application crashes if used select more than 8 channels in settings dialog for ASIO-based device
- Fixed: Player - duration of WAV files calculates incorrectly in some cases
- Fixed: Player - AlbumArt loads incorrectly from ID3v2 in some cases
- Fixed: Playlist - Save Dialog - settings are not saved within a single working session
- Fixed: Playlist - the "insert after current" command removes selected track from read only playlists
- Fixed: Plugins - Last.fm - information about the duration of playable file does not sent to server
- Small bugs and defects were fixed


AIMP v3.60, build 1497 (15.07.2015)
===================================
* General: few localizations have been updated, Turkish and Indonesian localizations have been added
- General: index map of icon library loads incorrectly at second time during one work session
- Player: internet radio - information bars displays every time when player receives metadata from server even if data have not been changed
- Player: application ignores the custom queue when physically deleting playable file
- Player: player jumps to next track if an error occurs during opening file operation even if the "Automatically jump to next track" option is switched off
- Skin Engine: an error occurs when trying to apply skin in handler of skinned button
- Tags: WAV - tags does not loads if section with tags is placed after section with data
- Plugins: SACD - ISO parser does not loads track if there are no meta information about the tracks
- Small bugs and defects were fixed


AIMP v3.60, build 1495 (03.06.2015)
===================================
+ SACD plugin: multi-threaded decoding is now supported
+ SACD Plugin: SACD images in the ISO format are now supported (experimental)
* Tag Editor: the APEv2 tag is now automatically deleted from MP3 during saving changes
- Fixed: Sound Engine - meta-data parses incorrectly in some cases when playing the internet radio
- Fixed: player - bitrate of MP3 files detects incorrectly in some cases
- Fixed: Player - format of internet radio stream in FLAC format in OGG container displays as OGG Vorbis.
- Fixed: Playlist - an error occurs in some cases that leads to stop redrawing of playlist
- Fixed: Playlist - non-natural sorting is used when adding folders to playlist
- Fixed: Playlist - playlist starts playing again after delete last playing track from playlist, even if the "repeat track" option is switched off
- Fixed: Tag Editor - album arts cache is not updated after edit the album art in tag editor
- Fixed: Tag Editor - no an ability to play tracks in TAK / OFR / OFS formats
- Fixed: Plugins - last.fm - information about the scrobbling sends to server twice in some cases, if off-line cache is not empty
- Fixed: Plugins - Update Checker - downloading process does not canceled on closing the options dialog


AIMP v3.60, build 1492 (24.04.2015)
===================================
* General: the "jump to file" function does not create a new process of Windows Explorer now (thanks to Alex)
* Player: Playback quality have been improved for tracker music
* Plugins: The Analog Meter visualization is now distribute as separate plugin
* Plugins: Last.fm - scrobbler status is now displayed at notification area icon
- Fixed: Audio Converter - the "Move output to" option - no ability to type the ":" symbol.
- Fixed: Sound Engine - hangs while re-connecting to device
- Fixed: Common - an edit field cannot be focused by click of right mouse button
- Fixed: Player - shuffler queue is resets when closing the application
- Fixed: player - track can be played twice in some cases if shuffle mode is active.
- Fixed: Tag Editor - an error occurs while reading file in the AIFF format, if file contains padding in the end of file
- Fixed: Skin Engine - bugs with positioning of windows
- Fixed: Plugins - few errors in API
- Fixed: Plugins - Last.fm - scrobbler progress paints incorrectly


AIMP v3.60, build 1483 (27.02.2015)
===================================
* Tag Editor: OPUS - ReplayGain information is now stored into the file header
* Tags: OPUS - support for ReplayGain information that placed in the file header
- Fixed: Sound Engine - meta-data parses incorrectly in some cases when playing the internet radio
- Fixed: Sound Engine - part of previous track can be heard when start file playback from the Windows Explorer, if player is not running
- Fixed: player - OPUS - sample rate and duration calculates incorrectly
- Fixed: playlist - the "reload data from pre-image" works incorrectly
- Fixed: playlist - playing track was not focused after start up the application
- Fixed: Playlist - an empty playlist file is moved to the Recycle bin after close the application in some cases
- Fixed: playlist - an empty track titles are displayed for CUE sheets in the "Search New Files" dialog
- Fixed: playlist - format string - few small bugs
- Fixed: Skin Engine - small bugs were fixed
- Small bugs and defects were fixed


AIMP v3.60, build 1479 (06.02.2015)
===================================
* Playlist: uniform playback of groups in shuffle mode is switched off
* Playlist: performance of the quick search has been improved
* Last.fm: size of offline cache have been increased to 1000 of tracks
* Last.fm: scrobbling occurs at the expiration of 4 minutes, if the specified of percents of track duration is greater than this value
- Fixed: Sound Engine - BASS - unable to play internet-radio under Windows 10
- Fixed: Sound Engine - meta-data parses incorrectly in some cases when playing the internet radio
- Fixed: Sound Engine - the application hangs if click pause and quickly close the program
- Fixed: playlist - player starts playback of other playlist after closing the playing, even if the "on end of playlist" option is set to the "stand by" value
- Fixed: Tag Editor - the "File Location" command works incorrectly with URL
- Fixed: Tag Editor - the "Information" tab is missing for the virtual files
- Fixed: Tag Editor - search the album art in Google / Yandex - query parameters are not escaped
- Fixed: Skin Engine - bugs with positioning of windows after change the screen resolution
- Fixed: Skin Engine - bugs with positioning of windows after restore it from minimized state, if skin has been changed before restore
- Fixed: Skin Engine - click on the album art display opens the miniature copy of image instead of original
- Fixed: Skin Engine - small bugs were fixed
- Fixed: Plugins - Last.fm - an error occurs in some cases when trying to love / unlove the track
- Fixed: Plugins - Last.fm - album arts search does not work if track does not have information about the album
- Fixed: Plugins - Last.fm - album arts that displays in player and in the "Information about track" dialog of plugin are different
- Fixed: Plugins - Last.fm - scrobbler message was sent before the end of track
- Fixed: Plugins - Simple Scheduler - alarm clock cannot play playlists that does not loaded into player
- Small bugs and defects were fixed


AIMP v3.60, build 1470 (16.01.2015)
===================================
- Fixed: Common - CUE parser does not understand commands in lower case
- Fixed: Common - player does not determine audio tracks in the CD-Extra disk if playback has been started from autorun menu
- Fixed: Common - interface hangs at some time when closing the Option Dialog with active "Skins" sheet
- Fixed: Audio Converter - an error occurs when trying to export to MP3 format with following settings: Stereo, VBR.
- Fixed: Sound Engine - playback position calculates incorrectly for set
- Fixed: Playlist - the "Default.aimppl" file is moved to the Recycle bin after each close the application, if the "save default playlist" option is switched off
- Fixed: Tag Editor - auto completion does not work for the "Genre" field
- Fixed: Tag Editor - an ability of removing / applying changes to the selected tag types does not work
- Fixed: Skin Engine - an error in playlist that leads to hide the element
- Fixed: Skin Engine - position of main window is changed when restore it from mini-player if task bar is placed at top edge of screen
- Fixed: Audio Library - playback in the audio library does not affects to the playback statistics
- Fixed: Audio Library - files cannot be added to the DB via drag-n-drop operation in some cases
- Fixed: Plugins - last.fm - some tracks scrobbles two or more times
- Small bugs and defects were fixed


AIMP v3.60, build 1465 (29.12.2014)
===================================
- Fixed: Sound Engine - some resampling artifacts can be heard when playing tracker music
- Fixed: Sound Engine - wrong playback position is displaying in skin elements after restart the application if it was paused before restart
- Fixed: Playlist - order of the groups is inverted after moving it via drag-n-drop if groups are collapsed
- Fixed: Skin Engine - parser fails on some correct expressions
- Small bugs and defects were fixed


AIMP v3.60 RC 4, build 1460 (22.12.2014)
========================================
* Playlists Manager: speed of files loading for preview has been increased
- Fixed: Sound Engine - application hangs during cyclic playback of very short files
- Fixed: common - an error occurs if try to select items via mouse in an empty table
- Fixed: Common - an error occurs when closing the application on Windows XP
- Fixed: Plugins - audio library plugin cannot be loaded by player
- Small bugs and defects were fixed


AIMP v3.60 RC 4, build 1457 (19.12.2014)
========================================
* BASS_MIDI: added support for sound fonts in SFZ format
* Skin Engine: mechanism for control the windows position during changing screen resolution has been improved
- Fixed: common - an memory leaks occurs when adding tracker music to playlist
- Fixed: Tag Editor parses genre field from M4A incorrectly in some cases
- Fixed: Playlist - an exception occurs when trying to start playing file from external application in AIMP, if shuffle mode is switched on
- Fixed: Playlist - tags does not read for files after import external playlist in format that different from AIMPPL
- Fixed: Plugins - API - the %IN macro does not work
- Fixed: Plugins - Compact Disk Audio - the disk name does not updates in drives sub menu
- Fixed: Plugins - information bar - parameters are not initialized in settings frame if plugin was loaded via plugin manager
- Fixed: Plugins - information bar - an error occurs after closing the Options Dialog window, if preview is active
- Small bugs and defects were fixed


AIMP v3.60 RC 3, build 1453 (10.12.2014)
========================================
- Fixed: Sound Engine - slow buffering for some internet radio stations
- Fixed: Sound Engine - played track is retained in memory after a manual switch to another track
- Fixed: Album Arts - an exception in the cache manager leads to wrong album art is displayed for playable track
- Fixed: Skin Engine - active playlist tab is out of visible area after program startup in some cases
- Fixed: Skin Engine - playlist - text width calculates incorrectly for non-monospaced fonts
- Fixed: Plugins - Compact Disk Audio - an error occurs during scan the disk without audio tracks
- Fixed: Plugins - Compact Disk Audio - bug in parser for response of CDDB server
- Small bugs and defects were fixed


AIMP v3.60 RC 2, build 1451 (02.12.2014)
========================================
* Sound Engine: Replay Gain's "on-fly" calculation algorithm has been improved
- Fixed: Common - some command line keys does not work
- Fixed: Sound Engine - jumps to next track before the end in some case
- Fixed: Sound Engine - playback progress calculates incorrectly
- Fixed: Playlist - the "Insert after current" command set selected track into incorrect position, if it placed before the playable
- Fixed: Tag Editor - reads rating from ID3v2 incorrectly in some cases
- Fixed: Skin Engine - the TASEScrollbar element handles mouse wheel incorrectly
- Fixed: Skin Engine - wrong visualization of ability to dock main screen to the edge of screen after closing the playlist window
- Fixed: Controls - click via RMB at slider does not set focus to it
- Fixed: last.fm - some service errors was not handled correctly
- Small bugs and defects were fixed


AIMP v3.60 RC 1, build 1447 (19.11.2014)
========================================
+ Tag editor: autonumeration - an ability to adjust format to XXX or XXX/XXX
* Skin Engine: memory consumption during skin loading has been reduced
* Skin Engine: memory consumption for skin has been reduced twice
- Fixed: Sound Engine - stuttering while playing files with bitrates more than 5 Mbps
- Fixed: Sound Engine - application hangs in some cases during process of adding or removing USB-sound card
- Fixed: Player - album arts not loaded in some cases if caching is switched off
- Fixed: Player - some files in AAC format cannot be played completely
- Fixed: playlist - newly created playlist is removed past the recycle bin when closing the tab
- Fixed: Tag Editor - default encoding detects incorrectly when loading CUE from an external file
- Fixed: Skin Engine - an error occurs on program startup under Windows XP
- Fixed: Skin Engine - desktop work area was not updated after minimize fixed window


AIMP v3.60 RC 1, build 1441 (12.11.2014)
========================================
+ Advanced Tag Editor: An ability to transliterate / change case for group of files
+ Advanced Tag Editor: Main screen UI has been updated
* Options Dialog: Search box for installed skins
* Options Dialog: Sorting a list of menu items immediately after change the language
- Fixed: Sound Engine - ASIO - changing the bit-depth during playback leads to noise
- Fixed: Sound Engine - incorrect channels remapping for mono files
- Fixed: Sound Engine - navigation issues by files which size is more that 4 GBytes
- Fixed: Common - files that full path equals to 260 symbols cannot be played
- Fixed: Common - an error occurs when trying to add an empty file to the playlist
- Fixed: Player - album arts not loaded in some cases
- Fixed: Player - if track is added in the playback queue twice - both positions will be deleted on start playback
- Fixed: Player - state of running line hangs if reconnect to internet radio station process has been aborted by user
- Fixed: Player - information about the previous track is displayed for few seconds in the running line after new file was started
- Fixed: Player - channels count and bit-depth are incorrectly detected for files in TAK format
- Fixed: Skin Engine - few glitches after minimizing / restoring the windows
- Fixed: Skin Engine - visual data cannot be retrieved in some cases that leads to flickering of visual elements
- Fixed: Skin Engine - playlist does not recalculates after collapsing / expanding all groups
- Fixed: Controls - multi line editor does not fire the change event
- Fixed: Controls - few bugs with control redrawing after changing focused state
- Fixed: Controls - seconds click on the drop down button does not close the dropped down list
- Fixed: Controls - fading animation does not work with focused elements
- Small bugs and defects were fixed


AIMP v3.60 Beta 3, build 1433 (21.10.2014)
==========================================
+ Controls: support of navigation via keyboard
* General: Added a button that display a list of supported macros for the edit field
* Player: Error dialog will not shown now if the application resumes playback during startup
* Playlist: reading speed has been increased for the AIMPPL format
* Skin Engine: an ability to blur behind is now available for Windows 7 only
* Skin Engine: an ability to force switch off blur behind for skin has been removed
- Fixed: Audio Converter - album arts are not transfered to the target files correctly
- Fixed: Sound Engine - cyclic playback of file that duration is less than 1 second stops after several iterations
- Fixed: Installer - an ability to install the application with empty destination path
- Fixed: Information about the file - file size is not updated in the running line after save changes
- Fixed: Plugins Manager - the Load / Unload commands are works incorrectly for multiple selection
- Fixed: Plugins - several bugs in new API have been fixed
- Fixed: Player - the "stop playback if current file was deleted" option works incorrectly
- Fixed: Player - duration of file in the TAK format calculates incorrectly in some cases
- Fixed: playlist - name of the radiostation are changed in playlist, if close the application without stop it before closing
- Fixed: Playlist - several issues with calculation of playback indexes
- Fixed: playlist - an rating marks for radiostation are displayed in playlist when trying to reconnect to it
- Fixed: tag editor - an error occurs when trying to change size of album art in the BMP format
- Fixed: Skin Engine - values of the MagnetRectOffsets property are ignored when maximizing window than has been minimized via hotkey
- Fixed: Skin Engine - the Next / Previous visualization buttons does not work after switch off the visualization
- Fixed: Skin Engine - the playlists tabs panel loose active tab from visible area after change the skin
- Fixed: Skin engine - level channels of the prvVisual provider are swapped
- Fixed: Skin Engine - maximized window always restores on the main screen after minimization
- Fixed: Skin Engine - height of item of bookmarks list in the drop down window differs from menu item height
- Minor bugs were fixed


AIMP v3.60 Beta 2, build 1425 (19.09.2014)
==========================================
+ Last.fm: added an ability to change scrobbling threshold
- Fixed: Sound engine - application UI freezes at 1 second while pausing / stopping the playback
- Fixed: Sound Engine - wrong bitrate is displayed for the playable file
- Fixed: Sound Engine - player hangs in some cases when change the default output device
- Fixed: Information about the file - tab with additional information about the playable radio station was missed
- Fixed: Information about the file - file size is not updated after save changes
- Fixed: Information about the file - a rounding error of milliseconds during format time value by the "mm:ss" template
- Fixed: Bookmark manager - files adding does not work correctly
- Fixed: Bookmark manager - path to latest opened folder does not stored
- Fixed: Playlist - an error occurs if trying to send URL-item to other playlist
- Fixed: Skin Engine - position of the "Quick File Info" dialog calculates incorrectly if the taskbar is placed on secondary screen
- Fixed: Skin Engine - an error occurs when trying to undock mini-player via mouse
- Fixed: Skin Engine - reduce flickering of album art display during switch the tracks
- Fixed: Skin Engine - the "-" symbol is displayed in the TextDisplay element after seek the playable file to beginning
- Fixed: Skin Engine - some minor bugs were fixed
- Fixed: last.fm - incorrect logic of scrobbler with the AlbumArtist tag field
- Fixed: Last.fm - value of the "Album" field is ignored when fetching the album art for the playable track
- Fixed: last.fm - plugin stops playback because of crash if playable file is virtual
- Fixed: last.fm - albums does not scrobbled
- Fixed: few bugs with localization of some elements
- Minor bugs were fixed


AIMP v3.60 Beta 1, build 1421 (29.08.2014)
==========================================
+ Templates: macros for date modified / time modified of file were added
* Quick Tag Editor: An ability to display information about the bit depth for some formats
* Album Arts: search and loading algorithm have been improved
* Replay Gain calculator: performance has been increased at 60 %
- Fixed: Sound Engine - does not react on changing of default output device if the WASAPI interface is used for output
- Fixed: Skin Engine - incorrect evaluation at some expressions
- Fixed: Player - an error occurs when trying to open files from external sources
- Fixed: Player - sometimes the "Audio Device Settings" button disappears after clicking on it
- Fixed: Player - an extended information about the error during connection to internet radio station does not displayed in the error box
- Fixed: Player does not catch the CUE files from .iso.wv images
- Fixed: Player does not catch CUE file that contains the "File" word in the comment section
- Fixed: Player - the "add to the playback queue" command was missed from context menu of Windows Explorer
- Fixed: Player - reselection of visualization does not activate it
- Fixed: Playlist - the "rescan tags" function was not take changes from CUE files into account
- Fixed: Playlist - content of playlist file loads incorrectly
- Fixed: Audio Converter - WMA Encoder was missed
- Fixed: Controls - the typed value is not checked for validity
- Fixed: Controls - moving mouse cursor to the disabled menu item or separator in parent level does not hide child sub menu
- Fixed: Album Arts - an error message occurs during album art loading from sub folder
- Fixed: Album Arts - the black square is displayed instead of album art in JPG format in some cases
- Fixed: Album Arts - no way to open album arts catalogs for virtual files
- Fixed: Tag Editor - the "Lyrics" tab was missed
- Fixed: last.fm plugin does not scrobble albums
- Fixed: last.fm - an error occurs in the plugin after remove access for application in profile at the web site.
- Fixed: last.fm plugin stops playback because of crash
- Fixed: SACD - an error occurs during loading files in the DSF format
- Fixed: few bugs with localization of some elements
- Fixed: minor bugs and defects


AIMP v3.60 Beta 1, build 1416 (08.08.2014)
==========================================
+ General: New API for plugins
+ General: DEP and ASLR support have been added
+ General: The "Modules" folder has been removed, the following folders have been introduced instead: .\System, .\System\Data, .\System\Encoders
+ Sound Effects: Normalization settings have been extended
+ Sound Effects: Normalization settings have been moved to separate tab
+ Sound Effects: Replay Gain - added an ability to set default value for normalization
+ Sound Effects: Replay Gain - added an ability to set preamp value for normalization factor
+ Integration to OS: The "Add to Queue" command has been added to the context menu of Windows Explorer
+ Mini-Player: An ability to adjust volume via mouse wheel without set focus into the mini-player
+ Album Arts: An ability to download album art from internet automatically (plugin for Last.fm service is used to do it for now)
+ Album Arts: An ability to define album art for internet radio stations
+ Album Arts: An ability to customize search options
+ Playlist: The "adding files" process is now working in separate thread
+ Playlist: Shuffle mode - all indexes are now stored in the playlist file
+ Playlist: Shuffle algorithm has been improved - uniform playback of files from different groups, avoiding sequential playback of two consecutive files
+ Playlist: The number of file access has been reduced during loading a playlist / add files process
+ Audio Converter: The "Jump to target folder" button has been added
+ Tag Editor: An ability to switch off grouping in the file list
+ Tag Editor: Added an ability to drop files / images from internet browsers / URLs to the album art display
+ Tag Editor: AIFF file format support
+ Plugins: Common - added an ability to filter plugins by status
+ Plugins: Common - all plug-ins are now stored in a subfolders
+ Plugins: Common - support of Input plugins from Winamp has been removed because this type of plugins does not support multi threading
+ Plugins: Visualizations - limit on the screen resolution has been removed for new type plugins
+ Plugins: Infobar - the "show always" option has been added
+ Plugins: Infobar - added an ability to select target screen
+ Plugins: Last.fm - plugin now works with last.fm service directly - you no longer required installed last.fm client
+ Plugins: Last.fm - added an ability to love / unlove tracks
+ Plugins: Last.fm - added an ability to send the AlbumArtist field value instead of the Artist (optional)
+ Plugins: Last.fm - an ability to show window with information about playable file
+ Plugins: Last.fm - offline cache for100 records has been added
+ Plugins: SACD - plugin for an ability to decode hi-res audio in the DSDIFF / DSF formats
- Fixed: Common - an null size window with application icon is displaying at center of the screen when move mouse at the AeroPeek preview of application
- Fixed: Common - issues with position of taskbar button at Windows 8 with multi-screen configuration


AIMP v3.55, build 1355 (14.07.2014)
===================================
* Audio Library: The "Add to AIMP's playlist" menu item has been added to the context menu for grouping tree
- Fixed: Common - tray icon flashes during program startup
- Fixed: Common - application hangs in some cases when trying to add corrupted files in OGG format
- Fixed: Common - Files from the Windows Explorer were not added to the list at start of application
- Fixed: Sound Engine incorrectly identifies a list of supported formats for some device types
- Fixed: Playlists Manager - an ability to set unsupported file as pre-image via drag-n-drop operation
- Fixed: Playlist - item with URL cannot be sent into other playlist via context menu
- Fixed: Skin Engine - skin settings are resets after restart the application
- Fixed: Skin engine - new name of playlist is not updated in the PlaylistBox skin element
- Fixed: Skin Engine - an error occurs in some cases when trying to undock the mini player from screen edge via drag-n-drop


AIMP v3.55, build 1350 (16.06.2014)
===================================
* Sound Engine: Options Dialog - list of supported formats is populated now on demand, not at Options Dialog initialization
* Sound Engine: Radio capture - maximum delay before start record new track has been increased to 30 seconds.
* Sound Engine: Radio Capture - CUE sheet is now stored on the hard drive after each track
* Sound Engine: Compatibility with Remote Desktop Assistant has been improved (for WASAPI interface)
* Playlist: an empty playlists with non-empty preimage setting will not be deleted now on closing the application
* Playlist: Advanced search is now show last search query
* Tag Editor: Support for non-english URLs - the URL will be automatically converted to punycode and vice versa.
- Fixed: Common - tray icon flashes during program startup
- Fixed: Common - player is minimized to tray instead of taskbar in some cases
- Fixed: Sound Engine - output settings are resets at some devices when opening the Options Dialog
- Fixed: Playlist - the remove file confirmation dialog does not restore focus after closing
- Fixed: Tag Editor - album art from ID3v2.4 tag cannot be read in some cases
- Fixed: Tag Editor - file in FLAC format cannot be read by player, if embedded CUE has been remove via AIMP Tag Editor
- Fixed: Plugins - The Information Line flashes on display, if it has been hidden by mouse before that
- Fixed: small bugs


AIMP v3.55, build 1345 (26.03.2014)
===================================
* Equalizer Presets Dialog: Alphabetical sorting of presets is default now
* Equalizer Presets Dialog: Incremental search has been added
* Player: Compatibility with the Zaycev.fm service has been improved
* Skin Engine: Added an ability to resize animator control
- Fixed: Sound Engine - ASIO - few bugs with playback resuming on some devices
- Fixed: Sound Engine - the program sometimes hangs during playback
- Fixed: Sound Engine - scratches can be heard on some tracks if the normalization by amplitude effect is active
- Fixed: Sound Effects - mixing options apply incorrectly
- Fixed: Plugins - Alarm Clock - another playlist starts playing, if selected playlist has been never activated after restart of the program
- Fixed: Player - The QFI window doesn't appear at the first time in some cases
- Fixed: Player - default folder for internet radio capture is stored to configuration file
- Fixed: Playlist - focus and playback cursor are reseted after synchronization with the preimage.
- Fixed: Skin Engine - the value of the PeakSegmentation property isn't taken into account
- Fixed: Skin Engine - behavior of child window is broken after closing the window via Alt+F4
- Fixed: Skin Engine - bugs with initialization of default values for controls on program startup


AIMP v3.55, build 1338 (31.01.2014)
===================================
* DSP-Manager: Added an ability to switch on/off all cross mixing settings quickly
* Player: The "Insert after current" command in addition to current behavior, now puts track to the beginning of playback queue
- Fixed: The "Send To" - selected template is ignored, if file doesn't have tags
- Fixed: Plugins - Compact Disk Audio - cache is not updated in some cases
- Fixed: Plugins - Compact Disk Audio - information about the track has incorrect encoding, if information has been received from the CDDB
- Fixed: Player - The remove file confirmation dialog doesn't return focus to the previous window after closing
- Fixed: Skin Engine - value of the SizeMaximal property isn't taken into account for client-aligned containers
- Fixed: Tag Editor - ID3v2 - last value is taken into account for the "comment", "genre", "link" fields instead of first, as for the other fields
- Fixed: Tag Editor - the autotag functions is not work correctly
- Fixed: Audio Library - the application hangs when trying to move file via Drag-n-Drop, if target folder already contain file with same name
- Few minor bugs were fixed


AIMP v3.55, build 1332 (21.12.2013)
===================================
- Fixed: Playlist - no an ability to drop files to the end of playlist in some cases
- Fixed: Tag Editor - lyrics field value has been cut by first line


AIMP v3.55, build 1331 (20.12.2013)
===================================
* Sound Engine: WASAPI Exclusive - added support for the Push and the Event output modes
* DSP-Manager: Volume Normalization - scale factor is now displayed in the "% dB / % x" format
* Tag Editor: String parsing in the AutoTag based on the file name is now going from end
* Rollback: Fixed - inaccurate navigation at the file during playback, if it in the MP3 format
- Fixed: Audio Converter - an error occurs when trying to encode file to the OGG format with quality low than 4
- Fixed: Bookmarks Manager - cursor position in the table resets to zero after removing the record
- Fixed: Playlist - when closing the playlist tab, playlist file deleted bypassing the recycle bin
- Fixed: Skin Engine - initial size of container calculates incorrectly in some layouts
- Fixed: Skin Engine - the hit-test calculates incorrectly in some cases
- Fixed few minor bugs


AIMP v3.55, build 1324 (15.11.2013)
===================================
* Sound Engine: The normalization function has been returned, the algorithm has been improved
- Fixed: Sound Engine - application hangs when changing playback position via mouse wheel
- Fixed: Sound Engine - player jumps over track in some cases when set is playing
- Fixed: Common - windows position are shifted at taskbar height after restart if taskbar is placed at top edge of screen
- Fixed: Advanced search - click via middle mouse button does't select row in the table
- Small bugs were fixed


AIMP v3.55, build 1320 (04.11.2013)
===================================
* Bookmarks Manager: added an ability to sort items via click on table column
- Fixed: Replace Confirmation Dialog - the "Replace All" and the "Skip all" buttons doesn't work
- Fixed: Sound Engine - stuttering occurs on start of playback in some cases
- Fixed: Sound Engine - the application hangs during playback of file with duration less than 1 seconds if the "repeat track" mode is active
- Fixed: Sound Engine - player doesn't play last 20-30 msec of track
- Fixed: Player - file in the CUE format loads incorrectly in some cases
- Small bugs were fixed


AIMP v3.55 RC 2, build 1312 (15.10.2013)
========================================
* Sound Engine: activating / deactivating effects are now processed more smoothly
* Advanced Search: The "file Location" menu item has been added
* Advanced search: Added an ability to add files to the queue via middle mouse button click
- Fixed: Player - program UI sometimes hangs when playing tracks
- Fixed: Player - manual track switching processed with small delay
- Fixed: Playlists - Few extra drop target slots are exists when moving files in the playlist via mouse
- Fixed: Skin Engine - small bugs were fixed
- Small bugs were fixed


AIMP v3.55 RC, build 1307 (07.10.2013)
======================================
* Sound Engine: Cache system has been improved - read latency has been reduced
* Jump to Time: Added an ability to split minutes and seconds by space symbol
* Manual: Added search ability
* Tags: replay gain are now supported for MusePack v8 format
- Fixed: Sound Engine - An error occurs when switching between tracks in some cases
- Fixed: Sound Engine - Information about bitrate in the metadata section are ignored
- Fixed: Sound Engine - The mixing effect cuts end of track, if effect time is less than a second
- Fixed: Player - Local hot keys doesn't work if full screen visualization mode is active
- Fixed: Player - Crashes on terminating if one of the DSP-plugin is active
- Fixed: Player - No an ability to set multimedia keys as local hot keys
- Fixed: Player - The content of CUE sheet is loaded incorrectly, if load it as a playlist
- Fixed: Playlist - Mouse wheel settings are ignored
- Fixed: Playlist - Zoom level not saved on restart
- Fixed: Playlists - Few extra drop target slots are exists when moving files in the playlist via mouse
- Fixed: Skin Engine - Small bugs have been fixed
- Fixed: Managing Playlists - Selection has been restored incorrectly after playlist deletion


AIMP v3.55 Beta, build 1298 (12.09.2013)
========================================
+ General: Added an ability to move links via drag-n-drop from internet browser to playlist or "Add link" dialog
+ Bookmarks: Added an ability to add playlists to the bookmarks
+ Bookmarks: "Bookmarks Manager" dialogue - quick search has been added
+ Bookmarks: "Bookmarks Manager" dialogue - usability has been improved
+ Sound Engine: Anticlipping
+ Sound Engine: Added an ability to customize resampling speed/quality
+ Sound Engine: Added an ability to use dithering when decreasing bit depth
+ Sound Engine: The SoXR library is now used for resampling
+ Sound Engine: Performance has been increased
* Rollback: Skin Engine - The sizes of windows now automatically adjusted after screen resolution changing
* Plugins: The "Internet Radiostation Catalog" plugin has been removed, you can access to catalogs via internet browser
* Player: Fading and cross mixing settings has been moved to DSP Manager dialogue
* Player: Cross mixing setting has been expanded
- Fixed: Sound Engine - Program crashes during cache buffer initialization process if system cannot allocate requested memory size
- Fixed: Player - window position is restored incorrectly if it was attached to the screen edge via drag-n-drop
- Fixed: Player - Data from ID3v2 has been replaced with data from ID3v1 in some cases, even if encoding is different
- Fixed: Player - Crashes on attempt to activate DSP-plugin
- Fixed: Player - The custom information about the radio station is lost when playback is starting
- Fixed: Player - No information about bitrate is displayed for some files in the MP4 format
- Fixed: Tag Editor - File cannot be removed physically if it played in mini-player of the tag editor
- Fixed: Small another bugs


AIMP v3.51, build 1288 (07.08.2013)
===================================
* Sound Engine: TAK decoder has been updated
* Sound Engine: Cache system has been improved - CPU usage has been reduced
* Playlists: auto name algorithm has been improved
* Tag Editor: The progress of current operation is now displaying on the taskbar button
* Skin Engine: The sizes of windows now automatically adjusted after screen resolution changing
- Fixed: Audio Converter - Bugs with parameters selection in the "OGG Vorbis Encoder Settings" dialogue
- Fixed: Audio Converter - Bugs with parameters selection in the "WMA Encoder Settings" dialogue
- Fixed: Browse Folder Dialogue - The Ctrl + Up / Ctrl + Down hot keys does not work
- Fixed: File Save Dialogue - No overwrite confirmation in some cases
- Fixed: Sound Engine - Tracks with long names cannot be played in some cases
- Fixed: Sound Engine - Program crashes during radio capture process, if playable track has incorrect symbols in one of its tag fields
- Fixed: Sound Engine - No an ability to pause file playback, if it located on remote server
- Fixed: Small bugs and defects
- Fixed: Common - The Ctrl + Page Up / Ctrl + Page Down hot keys does not work in secondary windows if its have been used as local hot keys in the player.
- Fixed: Common - Bugs in some localizations
- Fixed: Common - Format line parser does not process "\," set of symbols correctly
- Fixed: Playlists - the "Save playlist 'Default'" option is ignores when closing playlist tab
- Fixed: Playlists - Playlists Manager deletes playlists pass the recycle bin
- Fixed: Playlists - Deletion of the collapsed group expand group which placed below
- Fixed: Tag Editor - The M4A tag missing in the tags list for group removing / applying tag fields values
- Fixed: Tag Editor does not recognize files which located in the Windows Libraries
- Fixed: Tag Editor - Incorrect files order in the "Analysis Result" dialogue
- Fixed: Pandemic AIO Skin - No ability to drag player window by its caption
- Fixed: Skin Engine - An ability to resize window is blocked after change skin to another without maximization support if window is maximized
- Fixed: Skin Engine - Converter ignores special settings for All-In-One skins
- Fixed: Audio Library displays wrong data in the report
- Fixed: Audio Library does not take initial rating of file into account when adding file to database


AIMP v3.50, build 1277 (19.06.2013)
===================================
- Fixed: Small bugs and defects
- Fixed: Common - Player can't be associated with file types in some cases
- Fixed: Common - Some bugs in localizations
- Fixed: Common - The "All words with capital letter" function change the capitalization of whole word to uppercase in some cases
- Fixed: Playlist - player add files to playlist too long
- Fixed: Tag Editor - Autofilling tags functionality does not work


AIMP v3.50 RC 2, build 1270 (04.06.2013)
========================================
* Player: Hot key for "Switch On/Off Equalizer" command
* Player: Position of the "Advanced Search" window now stored to config
* Player: New mechanism of file association - now we use solution recommended by Microsoft
* Audio Library: New algorithm of rating calculation - rating is now depends from time
- Fixed: Sound Engine - Noise can be heard when playing file with high sampling rate
- Fixed: Small bugs and defects
- Fixed: Player - Bookmarks cannot be saved in some cases
- Fixed: Player - Queue manager does not save file order after closing the player
- Fixed: Player - The "suspend global hot keys" option does not work
- Fixed: Tag Editor - Genre from list of predefined genres does not save correctly to M4A format
- Fixed: Skin Engine - An error occurs in some cases when trying to load skin that contains embedded fonts
- Fixed: Skin Engine - there is no check for corruption of skin package
- Fixed: Skin Engine - position of equivalent containers with limited sizes calculates incorrectly
- Fixed: Skin Engine - Value of the ClipChildren property is ignores when calculating HitTest
- Fixed: Audio Library - Focused file disappears from visible area after sorting


AIMP v3.50 RC 1, build 1259 (08.05.2013)
========================================
* General: The cover art search now processes the "Cover" and "Scan" subfolders
* General: Application loading speed has been increased
- Fixed: QFI - click on cover art display opens temporary copy of image instead of original
- Fixed: Audio Converter does not write information about replaygain for album to CUE-sheet
- Fixed: Small bugs and defects
- Fixed: Common - player ignores "SONGWRITER" field in CUE-sheet
- Fixed: Tag Editor - the "skip this file" option doesn't work in the "Rename" dialog
- Fixed: Skin Engine - position of pinned window calculates incorrectly, if master window is docked to main window
- Fixed: Skin Engine - position of equivalent containers calculates incorrectly in some cases
- Fixed: Skin Engine - bugs in time formatting function
- Fixed: Skin Engine - elements placed on hidden container still visible in some cases


AIMP v3.50 Beta 4, build 1253 (19.04.2013)
==========================================
- Fixed: Small bugs and defects
- Fixed: Player - Hotkey settings are not saved in some cases
- Fixed: Player - bugs with reading command line switches
- Fixed: Playlist - no an ability to move selected group inside another even if "Merge with similar categories" option is switched off
- Fixed: Playlist - An error occurs when trying to execute "Search New Files" dialog
- Fixed: Skin Engine - mouse cursor is not recalculated correctly in some cases
- Fixed: Skin Engine - small bugs with providers


AIMP v3.50 Beta 3, build 1247 (10.04.2013)
==========================================
+ General: Added support for panning gesture for listbox like controls
- Fixed: Installer launches the Application as administrator
- Fixed: Internet Radio Browser - an error occurs when closing the window during download operation
- Fixed: Small bugs and defects
- Fixed: Scheduler - bugs with applying playlist as alarm clock melody
- Fixed: Player cannot play tracker music correctly in some cases - only samples are played
- Fixed: Player - an error occurs when trying to move file from bookmarks popup window to external application via Drag-n-Drop
- Fixed: Player - an error occurs when trying to start Audio CD playback from autorun menu
- Fixed: Player - hot keys list doesn't repaint correctly after removing the hot key via keyboard
- Fixed: Playlist - filename of tracklist cuts off in some cases
- Fixed: Playlist - the list doesn't scroll to searching item via quick search if it placed in collapsed group
- Fixed: Skin Engine - containers visibility doesn't save to configuration file
- Fixed: Skin Engine - an error occurs when trying to undock tray-control from the screen edge
- Fixed: Audio Library - data cache doesn't refresh after removing operation
- Fixed: Audio Library - an error occurs when trying to remove playable file


AIMP v3.50 Beta 2, build 1237 (08.03.2013)
==========================================
- Fixed: Tag Editor save incorrect information about the size of ID3v2 tag


AIMP v3.50 Beta 2, build 1236 (07.03.2013)
==========================================
* Audio Converter: Tags are now stored to WMA and WavPack formats via AIMP tags engine
* Audio Converter: Only common information about the tracks is now stored to the file tags during "All-to-one file" encoding mode
* Player: Playlists reading speed has been increased by 25%
* Player: Response time of the window in "desktop toolbar" mode during adding files via drag-n-drop operation has been decreased
* Skin Engine: Rendering speed has been increased due caching of the background elements
* Skin Engine: Compatibility with old skins has been improved
- Fixed: Installer - update mode doesn't work
- Fixed: Installer doesn't create shortcuts under Windows 8
- Fixed: Small bugs and defects
- Fixed: Simple Scheduler - the state of "shutdown the computer" option isn't stored
- Fixed: Player - few folders without spaces in the names cannot be added to the player via command line
- Fixed: Player - the plug-ins table jumps to beginning after any plug-in is unloaded
- Fixed: The tag editor stores two copies of cover art to the file in FLAC format
- Fixed: Skin Engine - information in QFI isn't refreshed in some cases
- Fixed: Skin Engine - maximized window reduces its size after AIMP restart
- Fixed: Playlists Managing - preview for few selected playlists doesn't work correctly
- Fixed: Audio Library - all tracks from set are added to the audio converter regardless of which of them were selected


AIMP v3.50 Beta 1, build 1224 (31.01.2013)
==========================================
+ CoverArt Downloader: Click on image now opens it in external application
+ CoverArt Downloader: Caching of downloaded files for current work session
+ Audio Converter: Hotkey for start conversion process has been added
+ Audio Converter: OPUS Encoder has been added
+ Audio Converter: Added an ability to save path structure during conversion process
+ Sound Engine: Added support for i32v24 sample format
+ Sound Engine: Now player has separate settings for crossfading in manual and automatic switching modes
+ Sound Engine: Equalizer has been improved - now all frequencies are processed between sliders
+ General: Settings in options dialog has been regrouped
+ General: Player no longer supports configuration files from AIMP2
+ General: Added support of long pathname (more than 260 characters), only for Windows Vista and newer
+ General: Added an ability to split files by chapters (OGG, OPS, M4A and M4B are supported)
+ General: Performance has been increased
+ Scheduler: Alarm Clock - added an ability to execute action after pre-set time period
+ Scheduler: Alarm Clock - added an ability to set playlist as alarm clock ringtone
+ Player: Equalizer settings has been added to the DSP Manager dialog
+ Player: Playlist tab hint now contains information about playlist content
+ Player: Hotkey for the "Reload data from pre-image" command has been added
+ Player: Hotkeys for executing the "Bookmarks Manager" and "Equalizer" dialogs has been added
+ Player: Hotkeys for set mark to playable / selected files has been added
+ Player: The queue of shuffle playback is now stored on the application closing
+ Player: Added Drag-n-Drop support for the Bookmarks Manager
+ Player: Now files merge into one queue, when send it to a removable device
+ Player: Confirmation for the remove equalizer preset operation has been added
+ Player: Managing Playlists - added an ability to browse content of closed playlist (with search ability)
+ Tag Editor: Added an ability to resize window of "Presets Editor" dialog
+ Tag Editor: The "File Size" column has been added
+ Tag Editor: Rename files - added an ability to replace / remove selected characters
+ Tag Editor: Rename files - bilateral transliteration has been added (Russian - English)
+ Tag Editor: Rename files - new design
+ Tag Editor: Added support of "BPM", "Disc Count" and "Publisher" tag fields
+ Tag Editor: Added support of OPUS format tags
+ Tag Editor: Added an ability to calculate BPM (powered by SoundTouch Library)
+ Skin Engine: An ability to switch off spectrum animation for playable track
+ Skin Engine: An ability to dock window to the top and bottom screen edges
+ Skin Engine: Potential abilities are extended
+ Audio Library: Added an ability to switch off automatic jump to next track during playback
+ Audio Library: Added an ability to display rating instead of mark, if mark is not set
+ Audio Library: Added an ability to send files to playlist
+ Audio Library: Added an ability to add files to data base via Drag-n-Drop
+ Audio Library: Added special context menu for cells of the "Labels" column
+ Audio Library: Hotkeys for playback control has been added
+ Audio Library: The "BPM", "Composer", "Publisher" and "File Format" columns has been added
+ Audio Library: New design of the "Labels Manager" dialog
+ Audio Library: Mark reading speed has been increased by 10 times
+ Custom Controls: Context menu - added an ability to scroll items via mouse wheel
+ Custom Controls: Context menu - auto scrolling to selected item on menu popup
+ Custom Controls: Now you can switch between tabs via Ctrl+Tab and Ctrl+Shift+Tab / Ctrl+PageUp and Ctrl+PageDown shortcuts
+ Custom Controls: ListView and TreeView - per-pixel scrolling has been added
+ Custom Controls: Scrollbar - added an ability to jump to position under mouse cursor via mouse click with pressed Shift key


AIMP v3.20, build 1165 (21.12.2012)
===================================
* Player: The Algorithm of catching CUE sheets for audio files with double extension has been improved
* Tag Editor: Cover art now stored to special section in FLAC format
- Fixed: Audio Converter - Error occurs when trying to remove virtual track from disk
- Fixed: Audio Converter - Sample format saves incorrectly for command line encoders
- Fixed: The content of playlist stops drawing in some cases
- Fixed: Radio Capture - Unable to choose command line encoder for capture
- Fixed: Player doesn't detect CD-drive at "A" letter
- Fixed: Player doesn't play sound, if initialization of DSP-plugin failed
- Fixed: The "Ctrl+Del" hot key is intercepted by playlist from secondary text input elements


AIMP v3.20, build 1163 (28.11.2012)
===================================
* Audio Converter - Track Number column has been added
* Audio Converter - %IN macro is now supported
* Tag Editor - M4A Tag column has been added
* Audio Library - Added an ability to edit tags of playable file
- Fixed: Quick Tag Editor - Extended information about radio station does not display, if Editor has been called from "Quick File Info" dialog
- Fixed: Quick Tag Editor - Cover Art from folder does not display for virtual files
- Fixed: The Error Dialog cannot be closed via ESC key
- Fixed: Radio Capture - Doesn't transfer tags to the file when capturing stream in AAC format without transcoding
- Fixed: Small bugs and defects
- Fixed: Equalizer presets created incorrectly during install on Windows with non-russian locale
- Fixed: Skin Engine - Delayed update of visualization elements
- Fixed: Skin Engine - Fully transparent elements in old skins paints incorrectly


AIMP v3.20, build 1155 (16.11.2012)
===================================
* Playlist: Quick search can be finished now by pressing ESC key
- Fixed: Browse Folder Dialog - selected folder adding to the playlist independent from checkmark state
- Fixed: Sound Engine doesn't detects supported formats of audio device correctly
- Fixed: Small bugs and defects
- Fixed: Known memory leaks
- Fixed: Tag Editor - track number does not save to playing file
- Fixed: Tag Editor - Lyrics does not "break" by lines for M4A format
- Fixed: Audio Library hangs in some cases when "add files" or "rescan tags" operation is active
- Fixed: Audio Library - alphabetic index has inverted scrolling by mouse wheel


AIMP v3.20 RC 1, build 1148 (19.10.2012)
========================================
* Browse Folder Dialog - Added ability to set path manually
- Fixed: Playlists tabs aren't repainted after scrolling, if scroll animation is disabled
- Fixed: Incorrect font rendering in Information Line under Windows 8
- Fixed: Small bugs and defects
- Fixed: Some elements of playlist does not support skin color scheme
- Fixed: Rounding errors while calculating duration of the track from CUE
- Fixed: Player cannot open CUE files, which contains "" symbols
- Fixed: Crash when capturing internet-radio


AIMP v3.20 Beta 2, build 1139 (28.09.2012)
==========================================
+ General: The list of encodings for translating non-unicode text to UTF16 format has been supplemented
+ Playlist: The "%!" macro has been added for an ability to implement custom sorting in reverse order
* Sound Engine: Support of meta data of Internet radio stations in ASF format has been improved
* Skin Engine: Rendering speed has been increased
- Fixed: Audio Converter - few small bugs in "All files to one (+ CUE)" encoding mode
- Fixed: Audio Converter doesn't transfer tags when encoding to MusePack format
- Fixed: Sound Engine doesn't detects supported formats of audio device correctly
- Fixed: Small bugs and defects
- Fixed: Color Scheme settings does not applied to the tray icon and context menu glyphs
- Fixed: Player doesn't restore playback queue after restarting
- Fixed: Player can't open sub-tracks with relative filename from CUE Sheet


AIMP v3.20 Beta 1, build 1125 (02.09.2012)
==========================================
+ Audio Converter: Added an ability to shut down the computer after conversion operation
+ Audio Converter: Added an ability to use console encoders
+ Audio Converter: Added an ability to change format of input audio stream
+ Audio Converter: The "Encode All To One File" mode has been added (with / without CUE logging)
+ Audio Converter: Tags in the ID3v1 now are saved to the file when encoding to MP3 format
+ Audio Converter: Added an ability to encode files to MusePack format
+ Radio Capture: The module uses the engine of Audio Converter now
+ Sound Engine: The algorithm of input file caching has been improved - now engine access to the disk less frequently
+ Sound Engine: Added WASAPI Exclusive supports
+ Sound Engine: The maximal size of cache for input file has been increased to 250 MB
+ General: Hint for the "Part repeat A-B" button now contains information about bounds of repeating part
+ General: Added an ability to view embedded Cover Art in original resolution
+ General: Equalizer presets are now stored to the separate file on disk
+ Plugins: Decoder for OPUS format has been added
+ Plugins: Ogg Vorbis Encoder has been updated to v1.3.3
+ Scheduler: Added an ability to wake up the computer
+ Scheduler: Added an ability to switch the computer to sleep mode
+ Scheduler: Added an ability to suspend playback and / or close the player before computer shutdown
+ Scheduler: The Alert will be shown now before computer shutdown
+ Advanced Tag Editor: Added an ability to choose tag format for which the changes will be saved
+ Advanced Tag Editor: Added an ability to edit tags in M4A format
+ Audio Library: Incremental search has been added to the dropdown list of the filter of table column
+ Audio Library: Added an ability to flush search query easier


AIMP v3.10, build 1074 (24.08.2012)
===================================
* General: Localizations has been updated
- Fixed: The Audio Converter removes dots from file name
- Fixed: Small bugs and defects
- Fixed: The autoname for playlist calculates incorrectly, if name of the folder contains dot symbol


AIMP v3.10, build 1072 (07.08.2012)
===================================
* Sound Engine: The algorithm of advanced channels processing has been improved
* General: Localizations has been updated
* Plugins: Compatibility with Last.fm Client v2 has been improved
* Plugins: Rendering speed of visualizations has been increased
* Skin Engine: Compatibility with AIMP2 skins has been improved
- Fixed: %IN macro is expanded incorrectly when sending files from playlist to external directory
- Fixed: The Audio Converter raises an exception, if "move output to..." options is active and target path is empty
- Fixed: The Audio Converter ignores command line switches
- Fixed: The Audio Converter increases tempo of composition twice when encoding to MP3 Mono format
- Fixed: Small bugs and defects
- Fixed: Incremental search does not work in the Tag Editor's genre selector menu
- Fixed: Player resumes playback on startup incorrectly, if previously playing file has been removed from the playlist
- Fixed: Player resumes playback queue incorrectly, if two or more playlists has same name
- Fixed: The Audio Library does not suggest to create a new group in some cases when navigating by fields values
- Fixed: Player used to jump over one track after deleting file from the playlist in some cases


AIMP v3.10, build 1065 (04.07.2012)
===================================
- Fixed: Incremental search does not work in the bookmarks popup window
- Fixed: Small bugs and defects
- Fixed: Incompatibility with Synaptics TouchPad
- Fixed: The exception "Cannot open the file" occurs on multithreading encoding from a file in the WavPack format (+ CUE)
- Fixed: File is moved from the source folder to another one instead of copied when dragging the file from the playlist
- Fixed: AIMP rewrites information about the integration to Windows Registry on applying settings
- Fixed: Player used to jump over one track after deleting file from the playlist
- Fixed: Memory leak occurs when working with the MP3 Encoder
- Fixed: Audio Library ignores the number of playbacks for each file when it generates report about the favourite audio files


AIMP v3.10, build 1061 (29.06.2012)
===================================
* Audio Converter: Displaying the progress of conversion operation in window caption has been added
* General: Localizations has been updated
* Player: The following equalizer presets has been added: Headphones / Reggae / Ska / Techno
- Fixed: Audio Converter incorrectly calculates target sample rate in some cases
- Fixed: Playback cursor does not resets after playlist clearing
- Fixed: Small bugs and defects
- Fixed: Bugs with displaying the Equalizer Window when using old skin
- Fixed: Track removes from playing queue twice at the start of playback


AIMP v3.10 RC 2, build 1051 (01.06.2012)
========================================
* Bookmarks: An ability to sort items in Bookmarks Manager
* Plugins: Support of the Input plugins from Winamp has been improved
* Skin Engine: Text rendering speed is increased twice
- Fixed: Skip mode does not work in the "Send To" dialog
- Fixed: The Cover Arts is read incorrectly from ID3v2.4 in some cases
- Fixed: Small bugs and defects
- Fixed: Player cuts the value of a track number field, if it is greater than 255
- Fixed: Skin Engine - Wrong scrolling step at the ScrollBar element with non-resizeable thumb
- Fixed: Skin Engine - Controls does not receive focus in some cases


AIMP v3.10 RC 1, build 1045 (21.05.2012)
========================================
* Tags - Size of padding between tag and audio data is now limited to 100 KBytes
* Tags - The algorithm of calculating duration of audio files in MP3 VBR format has been improved
- Fixed: Small bugs and defects
- Fixed: Incorrect text is displayed for the error, which occurs while output device is initializing
- Fixed: The Equalizer window does not take animation settings into account in some cases
- Fixed: Bugs with behaviour and displaying of old skins
- Fixed: Player doesn't read audio tag correctly if it size is more than 1 MByte
- Fixed: Playlist hangs on attempt to delete file from the disk in some cases
- Fixed: Small scratches can be heard while playing track with sample rate greater than sample rate of output device
- Fixed: The "Disable transparency if window is mouse focused" function does not work correctly in some cases


AIMP v3.10 Beta 3, build 1040 (08.05.2012)
==========================================
* Decoders: The BASS has been updated to v2.4.9
* Sound Engine: Performance has been increased
* Converter: The Encoders has been moved from "AIMP3\Plugins" to "AIMP3\Modules" folder
* Converter: The Blade-interface of the lame_enc.dll library now supports
- Fixed: Small bugs and defects
- Fixed: Size of the window does not save, if it in the "desktop tool bar" mode
- Fixed: The "Select Language" dialog - drop-down list is displayed behind the window
- Fixed: Bugs with displaying of old skins
- Fixed: The playlist does not accept files from another application via Drag-n-Drop
- Fixed: The Tag Editor does not save cover art to the file, if file does not contain tags before operation
- Fixed: A Memory leaks in the Audio Library


AIMP v3.10 Beta 2, build 1034 (27.04.2012)
==========================================
+ Audio Library: Added an ability to quickly navigate through field value with ALT key pressed
* Sound Engine: Algorithm of the resampler has been improved
* General: Design of hint for editing template has been changed
* Playlist: Usability of multiple files selection using mouse has been improved
* Audio Library: Speed of adding files into the database has been increased
- Fixed: Playback of selected track cannot be started from QuickSearch field via Enter key
- Fixed: Internet Radio capture does not work
- Fixed: Macros cannot be expanded in some cases
- Fixed: Small bugs and defects
- Fixed: Localization does not apply at the first start of the program
- Fixed: Player incorrectly calculates duration for some files in WavPack format
- Fixed: Option "Add pause between track" does not work correctly
- Fixed: Exception is raised when trying to change color scheme for the skin
- Fixed: Bugs with displaying of old skins
- Fixed: Player hangs after clicking on the "Start playback" button if the playlist doesn't have tracks which are switched on
- Fixed: The CPU becomes overloaded during the playing silence if the equalizer is switched on
- Fixed: Focus leaves from playlist after deleting last file from the playlist


AIMP v3.10 Beta 1, build 1027 (16.04.2012)
==========================================
+ Audio Converter: Added an ability to encode files using few threads
+ Audio Converter: New design
+ Audio Converter: Added an ability to encode files to APE, FLAC, OGG, WAV, WV, WMA and MP3 formats (Lame Encoder should be installed)
+ Audio Converter: The "Audio Converter" utility is distributed with the player again
+ General: Added an ability to set template for running line for Internet Radio playback
+ General: Design of Error Dialog has been updated
+ General: Design of default skin has been updated
+ General: Option "Fade in volume at the beginning of track" has been moved to the Quick Options menu
+ General: Skins are now stored in the profile folder of the program
+ Plugins: Update Checker - Added an ability to download and install an update in semiautomatically mode
+ Playlist: "Mark" menu item has been added to the context menu of playlist
+ Playlist: Playlists Manager Dialog has been added
+ Playlist: Added an ability to load few playlists to separate tabs via Drag-n-Drop
+ Playlist: Added an ability of semiautomatic synchronization of the playlist with the specified folder or playlist
+ Playlist: Added an ability to work with groups via keyboard
+ Playlist: All playlists are stored now in profile folder of the program
+ Playlist: Playlists are not deleted now from the disk when you close playlist tab (optional)
+ Skin Engine: Engine has been detached from the functional part of the program - potential abilities are extended
+ Audio Library: An ability to choose default player - AIMP or build-in player of Audio Library
+ Audio Library: An ability of access to the catalog of Internet radio stations has been removed
+ Audio Library: An ability of access to the content of flash-drives from Audio Library has been removed
+ Audio Library: The storage of playlists has been moved to the playlists manager of the player


AIMP v3.00, build 985 (06.04.2012)
==================================
* Localizations were updated
- Fixed: DropWheel window is painted incorrectly in AIMP2 skins
- Fixed: Incorrect information about file format is displayed in Quick Tag Editor in some cases
- Fixed: Small bugs and defects
- Fixed: Incorrect information about bitrate and duration is displayed for some files in OGG format
- Fixed: Incorrect information about bitrate is displayed for some radio stations
- Fixed: File mark does not display in playlist when AIMP2 skin is used
- Fixed: Player starts playback of switched off tracks when jumping to another playlist via hot keys
- Fixed: Player isn't able to use WASAPI for outputting on Windows 8
- Fixed: Player does not play short files completely
- Fixed: Some problems with TrayControl behavior
- Fixed: Windows Explorer does not display data from tags of file in WMA Lossless format after they've been edited by AIMP
- Fixed: Small scratches can be heard on jumping from one track to another when equalizer is switched on
- Fixed: Files are added in backward order when they are adding via "Find new files" dialog


AIMP v3.00, build 981 (16.02.2012)
==================================
* Localizations were updated
* Playlist: Algorithm of CUE sheets catching for the audio files has been improved - support of files with double extensions has been added
- Fixed: Buffer for DMO effects is not cleared after playback stopping
- Fixed: Data from CUE sheets aren't caught up for files in .DTS
- Fixed: "Default" button in DSP Manager resets all of its settings to their default values only on the second pressing
- Fixed: Autoname for equalizer preset generates incorrectly for the virtual files
- Fixed: Information about the duration of the files is read incorrectly from the playlist in PLS format
- Fixed: Number of the track in the playback queue cuts off in playlist in some cases
- Fixed: Folder and Files aren't sorted by thier names on adding them from Windows Explorer
- Fixed: Plugins - Lastfm Client Helper crashes on attempt to show plugin settings, if Lastfm Client doesn't installed
- Fixed: Plugins - Online Radio Browser:  Error occurres on attempt to switch to "IceCast" tab, if one of the record doesn't contain information about the bitrate
- Fixed: Plugins - Some visualizations from AIMP2 don't work on AIMP3
- Fixed: Plugins - List loses focus after changing state of plugin
- Fixed: Player doesn't allow to add files in AIFF format to playlist
- Fixed: Small scratches can be heard on quiet tracks when equalizer is switched on
- Fixed: Applications hangs on attempt to play file without audio data, but with tags


AIMP v3.00, build 976 (30.12.2011)
==================================
+ Basque localization was added
* Localizations were updated
* Player: Radio station name is now set automatically on starting playback, if it has not been set before by the user
* Tag Editor: Track number is no longer stored in the ID3v1, if it value more than 255
- Fixed: Small bugs and defects
- Fixed: Plugins - last.fm plugin doesn't start scrobbling sometimes
- Fixed: Player - "A-B Repeat" function drops playback position to beginning in some cases
- Fixed: Player - part of the next track sounds in the end of current track, if "shuffle" mode is active
- Fixed: Tag Editor - buttons in footer panel doesn't display, if height of the screen less than 600 pixels
- Fixed: Tag Editor - the table doesn't update after using tag autofill function


AIMP v3.00 RC 3, build 970 (23.12.2011)
=======================================
* Added ability to install skin from Skin Chooser Dialog
* Help in English was added
* Localizations were updated
* Support of multimedia keyboards has been improved
* Compatibility with Synaptics TouchPad has been improved
- Fixed: Radio Browser - links doesn't add to "custom" catalog
- Fixed: Radio Browser - downloading process can't be canceled via "Cancel" button
- Fixed: Radio Browser - exception occurs when switching from "Ice Cast" to "Custom" tab
- Fixed: Radio Browser - exception occurs when trying to activate Radio Browser in Audio Library
- Fixed: Value of "Encoding for non-unicode strings" option can't be saved
- Fixed: Playlist - player doesn't jumps to next playlist if "Shuffle" mode is active
- Fixed: Playlist - exception occurs when trying to play previous playlist if it was closed
- Fixed: Incorrect position of equalizer sliders on first start
- Fixed: Tag Editor - auto fill tags function doesn't work in some cases
- Fixed: Tag Editor - %IN macro used to start numeration from zero
- Fixed: Skin Engine - hitTest mask doesn't work for slider elements
- Fixed: Skin Engine - time used to draw incorrectly for files with duration more 100 minutes


AIMP v3.00 RC 2, build 961 (02.12.2011)
=======================================
+ Added localizations: Farsi
* Sound Engine: Resampler algorithm has been improved
* Localizations were updated
* Plugins: Radio Browser - ability to input genre manually
* Player: Ability to start playback of bookmark using "Enter" key
* Player: Player now detects full screen applications only on the current monitor
* Track list: Total duration of playlist now displays in "DD:HH:MM:SS" format
- Fixed: ID3v2 tag doesn't read to the end in some cases
- Fixed: External playlist is not reloaded when trying to open it again
- Fixed: Known memory leaks
- Fixed: Navigation by track doesn't work for remote files
- Fixed: Player doesn't work correctly with playlists in M3U8 format
- Fixed: Player doesn't allow drop new file to the end of playlist, if "Auto merge similar categories" option is active
- Fixed: Incompatibility with Synaptics TouchPad
- Fixed: Incompatibility with AVG and Avast antivirus
- Fixed: No an ability to capture internet-radio, if station doesn't send meta-data
- Fixed: "Show information about selected files" option doesn't work
- Fixed: Player doesn't receive links to the internet radio via command line
- Fixed: Audio Library doesn't detects drive letter correctly in some cases


AIMP v3.00 RC 1, build 950 (06.11.2011)
=======================================
+ Player: Ability to use IE's proxy settings
+ Playlist: %PD macro has been added (for displaying parent directory name)
+ Skin Engine: Ability to disable per-pixel semitransparency
+ Skin Engine: Blur behind supports (only for Windows 7 or newer)
* Plugins: DTS decoder now distributed separately from the player
* Plugins: Plugins API - added an ability to access to proxy settings
* Player: Ability to reset User-Agent value
* Player: Help in Russian was added
* Skin Engine: Sliders - added hot-state supports
- Fixed: "Default"-playlist not resets when importing files from external applications
- Fixed: Player jumps to random track in some cases
- Fixed: Player repeats one track twice in some cases even if "Repeat Track" mode is switched off
- Fixed: Installer doesn't remove standard plugins in "Update" mode, even if user refused from them
- Fixed: Installer removes multiuser settings from AIMP2 in "New Installation" mode
- Fixed: Small bugs and defects
- Fixed: Player doesn't read metadata of internet radio stations in some cases
- Fixed: "Play / Pause" function doesn't work in context menu of tray icon
- Fixed: Plugins - component list doesn't fill correctly in some cases
- Fixed: Focus jumps to first playlist tab after closing selected playlist tab
- Fixed: Program hangs on Windows XP, if modal dialog is shown on finishing drag-n-drop operation.
- Fixed: Skin Engine - Smooth applying of transparency doesn't work correctly with TrayControl window in some cases
- Fixed: Skin Engine - bugs with handling mouse wheel messages
- Fixed: Memory leak occurs while listen internet radio station
- Fixed: Audio Library - "Track Repeat" and "Shuffle" buttons doesn't work


AIMP v3.00 Beta 5, build 934 (07.10.2011)
=========================================
+ Plugins: New API
+ Plugins: Scheduler - Button for easy way to set current time was added
+ Player: Ability to change "User-Agent" was added
+ Player: Playlists in *.ASX format are supported now
+ Player: Context menu for "Repeat track" button was added for quick access to repeat options
+ Player: Equalizer has been improved
+ Tag Editor: Ability to resize album art images is added
+ Audio Library: Displaying album art in Aero Peak
* Plugins: Last.fm plugin now works only with installed Last.fm-client
* Plugins: "Plugins Manager" dialog has been redesigned
* Skin Engine: Input box - ability to select text via keyboard was added
* Skin Engine: Input box - shortcuts for copy / paste operations were added
* Skin Engine: Memory usage has been reduced
- Fixed: ID3v2 tags are parsed incorrectly in some cases
- Fixed: Disk number isn't displayed in playlist, if it is in "1/2" format
- Fixed: Error occurs after player restarting and attempt to playing CUE file
- Fixed: "Search new files" action adds duplicated files in some cases
- Fixed: "Remove missing files" command removes links to internet radio stations
- Fixed: "Block desktop locking" option doesn't operate in full screen mode of visualization
- Fixed: "Disk number" field isn't read from tags of files in M4A format
- Fixed: Incorrect position of "Add link" dialog on the system with few monitors
- Fixed: Incorrect work with relative paths
- Fixed: Some skins are used to draw incorrectly on system with non-russian locale
- Fixed: Bitrate for some files in TTA format calculates incorrectly
- Fixed: Plugin for multimedia keyboards support is missing in 916 build
- Fixed: Player hangs while track navigation, if DSP-plugins are in use
- Fixed: Player hangs sometimes when trying to play files in WAV format
- Fixed: Player doesn't operate via meta data from some internet radio stations
- Fixed: Player crushes when trying to play corrupted file in MP3 format
- Fixed: Player used to jump over 1 track in some cases
- Fixed: Small part of previous track can be listened when current file is trying to be played and player is on pause state
- Fixed: Incorrect channel order when playing files in DTS format
- Fixed: Wrong tracks names during the internet radio capturing
- Fixed: Tag editor save album art to first selected file only
- Fixed: Skin Engine - Some skins doesn't provide an ability to select playlist tab via mouse
- Fixed: Skin Engine - Windows aren't repainted in some cases
- Fixed: Skin Engine - Minimal size of window calculates incorrectly after its child containers shown / hidden
- Fixed: Audio Library - "Search new files" doesn't process new subfolders
- Fixed: Audio Library - Labels doesn't display in the list immediately
- Fixed: "Repeat track" function used to operate incorrectly with files which duration is less than 2 seconds


AIMP v3.00 Beta 4, build 916 (07.08.2011)
=========================================
- Fixed: Player opens files from external applications with delay about 30 seconds


AIMP v3.00 Beta 4, build 915 (05.08.2011)
=========================================
+ Plugins: Last.fm plugin has been translated to API v2.0
+ Plugins: Added context menu extension for Windows Explorer
+ Playlist: Added the ability to disable auto merging of similar categories
* DSP-Manager: Pitch changing step has been corrected
* Plugins: bass_midi has been updated to v2.4.6.3
* Plugins: tak_deco_lib has been updated to v2.2
* Playlist: Shuffle algorithm has been improved
- Fixed: "Copy to...": doesn't show overwrite confirmation
- Fixed: IAIMPController.AIMP_GetCurrentTrack doesn't work with remote files
- Fixed: Last.fm scrobbler doesn't scrobble when listening internet-radio
- Fixed: Wide picture of AlbumArt overlaps some text fields
- Fixed: Adding files or folders stops when trying to read CUE sheet for nonexistent file
- Fixed: Information line detects full screen applications incorrectly on the system with few monitors
- Fixed: Local hot keys don't working in full screen mode of visualization
- Fixed: %DN macro is ignored in Tags Editor when rename files
- Fixed: Option "Replay playlist with one file" doesn't work if shuffle mode is enabled
- Fixed: Tab created via Drag-and-Drop doesn't receive focus automatically
- Fixed: Internet-radio capture doesn't work
- Fixed: Cover arts in BMP format don't read correctly
- Fixed: ID3v1 has higher priority than ID3v2 in some cases
- Fixed: Player crashes when trying to switch between skins with different orientation of playlists' tabs
- Fixed: Player jumps to the next track unexpectedly in some cases when listening audio sets
- Fixed: Portable version of AIMP3 intercepts associations from AIMP2
- Fixed: "Added date" field is ignored when import data from AIMP2 database
- Fixed: %DC macro return incorrect value


AIMP v3.00 Beta 3, build 901 (02.07.2011)
=========================================
+ Core: Added the ability to save tags to the file, which is playing in one of the AIMP applications
- Fixed: Animation of playlist's tabs stops early in some cases
- Fixed: Player crashes when trying to open folders selection dialog
- Fixed: Player crashes when trying to get information about new version, if remote service unavailable


AIMP v3.00 Beta 3, build 900 (01.07.2011)
=========================================
+ Skin Engine: Added the ability to set hot state for playlist's tab elements in the 3rd and 4th frames of the texture
+ Skin Engine: Added the ability to change Z-Order of the elements for each container
+ Skin Engine: Added the ability to change indent between playlists' tabs
+ Skin Engine: Added the ability to set font for playlist's tab with it is in active and playing states
* Sound Engine: Replay Gain's "on fly" calculation algorithm has been improved
* Localizations were updated
* Playlist: Loading speed of playlists with .aimppl format has been increased by 25%
* Skin Engine: Text rendering speed is increased twice
- Fixed: CD-TEXT is parsed incorrectly
- Fixed: PluginsAPI - Visual data are calculated incorrectly in some cases
- Fixed: PluginsAPI - Information about the file's mark isn't stored in AIMP2_RemoteInfo object
- Fixed: Auto jump to the next track doesn't work with online-playlists
- Fixed: Alarm clock ignores "add files to playlist" settings
- Fixed: Small delay on start file's playback in AAC format
- Fixed: Infobar - Settings can't be saved in some cases
- Fixed: Infobar - Marks for the files aren't displayed
- Fixed: Slow speed of saving tags from large files
- Fixed: Small bugs and defects
- Fixed: Other than CDA format files aren't added to the playlist when importing CD\DVD
- Fixed: Metadata from some internet radio stations are parsed incorrectly
- Fixed: Playlists in M3U / M3U8 formats are parsed incorrectly in some cases
- Fixed: File navigation doesn't work correctly for files with size more than 2 GByte
- Fixed: CUE sheets which contain information about the few files with few tracks are expanded incorrectly
- Fixed: Duration of some files in WMA format calculates incorrectly
- Fixed: Some files in APE format can't be played
- Fixed: Option "Stop playback if current file was deleted" is ignored in case of playlist was closed
- Fixed: Player hangs when switching between files in DTS 5.1 format
- Fixed: Player starts playback after physically removing of current file from playlist, even if it was stopped
- Fixed: Player's dialogs don't show files in .M4B format
- Fixed: Player skips small parts of audio stream after the unpause
- Fixed: Small sound scratches when switching from one track to another with active Replay Gain option
- Fixed: Memory leaks in some cases, when you add files to playlist
- Fixed: Files in CDA format aren't opened on double click in Windows Explorer
- Fixed: Files with size more than 2 GBytes can't be played if caching is enabled
- Fixed: Cue sheets can't be extracted from audio files with size more than 2 GBytes
- Fixed: Audio Library - Scrobbling settings are resets to default in some cases
- Fixed: Audio Library - Table cursor position is resets after labels' changing
- Fixed: Audio Library generates report too slow


AIMP v3.00 Beta 2, build 881 (06.05.2011)
=========================================
+ Audio Library: Added the ability to copy / move files to the subfolders via Drag and Drop method
+ Audio Library: Added the ability to drag folders from grouping tree
* Player: Function "Remove silence longer than 0.5 sec" has been removed
* Player: Support of multimedia keyboards has been improved
* Tags: Increased tags reading speed from MP3 files
- Fixed: Playback through ASIO stops when opens settings dialog
- Fixed: Changes in some playlists can't be saved on the application closing
- Fixed: Small bugs and defects
- Fixed: "Search for new files" function doesn't work in the audio library
- Fixed: Player state can't be saved during the playlist navigation via "Next / Previous file" buttons, if player is trying to connect to the internet radiostation
- Fixed: Some visualizations don't rendering correctly
- Fixed: AutoTag doesn't work correctly for group of files.
- Fixed: Skins from AIMP2 with semi-transparent elements don't work correctly
- Fixed: Playlist window can't be resized when it uses standard skin
- Fixed: Tempo filter doesn't work correctly
- Fixed: Player can't be associated with file types in some cases
- Fixed: Player stops playback after the changing default output device
- Fixed: Window doesn't magneted to the top edge of screen while resizing
- Fixed: Information about selected files doesn't updated in QTE, if QTE window is already visible
- Fixed: Playlist's name was trimmed when saves playlist to the disk, if name contains "." symbol
- Fixed: Part of the previous track had been played when new track started, if player had been in Pause state
- Fixed: Player doesn't take into account settings, which disallow auto jump to the next track, when playing track deleting physically
- Fixed: Tag Editor doesn't read disk number field from the tags
- Fixed: Animation of equalizer window worked slow on some systems
- Fixed: Titles of some tracks are trimmed when listening internet radio


AIMP v3.00 Beta 1, build 861 (01.04.2011)
=========================================
+ Scheduler: Ability to use playlist as alarm clock signal
+ Player: ASIO - Added ability to choose the channels, which would be used for output
+ Player: Ability to create a new playlist tab under mouse cursor while dragging files
+ Player: Added "Auto-adjust equalizer preset for a track" action to the equalizer menu
+ Audio Library: Ability to play files / playlists in AIMP3
+ Audio Library: Ability to manual import of database from AIMP2
* Sound Engine: Algorithm of the resampler has been improved
* BASS Libraries were updated
* Localizations were updated
* Plugins: Plugin for access to Shoutcast.com catalog has been removed
* Player: Crossfading and pause between tracks settings have been moved to separate items
* Playlist: Loading speed of playlists has been increased
* Skins: Rendering speed has been increased
- Fixed: Autoshutdown was executed incorrectly on ending of the playing queue
- Fixed: Incorrect name for playlist was set, if it had been loaded from external file
- Fixed: Autoloaded preset of the equalizer is reset by Alt+Click combination, when information about the file from playlist is displayed
- Fixed: Value of option "Audio Library: Allow statistics" wasn't saved
- Fixed: Small bugs and defects
- Fixed: Titles for the some tracks are displayed truncated when listening internet-radio stations
- Fixed: Player resumes playing incorrectly on program startup, if few playlists have same name
- Fixed: Tracks are grouped incorrectly, if it has been expanded by CUE sheet
- Fixed: Skins were drawn incorrectly on Windows XP under low color mode
- Fixed: Player hung when internet-radiostation switching track
- Fixed: Mono-channel mode was active by default
- Fixed: Positions of records in the table were calculated incorrectly after the sorting
- Fixed: Tag Editor - address line wasn't updated after the file had been renamed
- Fixed: Tag Editor - it had no any ability to disable AutoTag, if it was enable
- Fixed: Tag Editor - the "Don't fill field if it has value" function wasn't work
- Fixed: Fixed: Files weren't moved, if keyboard was used for playlist navigation while drag and drop operation was being processed


AIMP v3.00 Beta 1, build 851 (09.03.2011)
=========================================
+ Playlist: Added ability to expand / collapse all groups in the playlist by clicking with pressed Alt button
* Sound Engine: Spectrum calculation algorithm has been rewritten
* Player: Playlist view settings has been moved to separate tab
* Skins Engine: Compatibility with AIMP2 skins has been improved
* Core: Sorting algorithm speed has been increased
* Core: Text rendering speed has been increased
- Fixed: Quick File Info takes focus when showing
- Fixed: Quick Tag Editor don't save changes to the playing file
- Fixed: Hotkeys don't work in some cases
- Fixed: Information about current track on the radio station don't display
- Fixed: Small bugs and defects
- Fixed: Connection status to the radio station don't display
- Fixed: Crossfade settings don't applying in some ways
- Fixed: Input fields resets when switching between tabs in multiple mode of QTE
- Fixed: Player hangs when switching to the next track
- Fixed: Advanced Tag Editor don't accept WavPack files


AIMP v3.00 Beta 1, build 840 (22.02.2011)
=========================================
* Localizations were updated
* Plugins: Сompatibility with Winamp Input Plugins has been improved
* Player: Integration to the context menu of Windows Explorer is temporarily disabled
* Skins: Rendering speed has been increased
* 3rd party DLL-libraries were updated to the actual versions
- Fixed: "Copy to ..." didn't save previously selected paths
- Fixed: Autoshutdown was executed incorrectly on ending of the playing queue
- Fixed: Audio Library labels are excluded incorrectly in some cases
- Fixed: Quick search don't work in some cases
- Fixed: Information about selected file wasn't updated in the Advanced Tag Editor if file list was being scrolled via keyboard
- Fixed: GUI bug in the "Missed files" audio library dialog
- Fixed: CUE sheets were not caught up for the CD images
- Fixed: Option "Save absolute file paths" couldn't be saved
- Fixed: Some parameters of radio capture were not saved
- Fixed: Single click at the tray icon activated event with delay, even if double click event hadn't been assigned
- Fixed: Option "Repeat playlist with one file" must be available only if "Playlist repeat" mode is active
- Fixed: Batch tags processing was't available in the audio library
- Fixed: Bugs with removing silence filter
- Fixed: ScrollBar drawn incorrectly with some skins
- Fixed: Player jumps to the previous track if current track was removed from the playlist physically
- Fixed: Link to the internet radio couldn't be added as a melody for alarm clock


AIMP v3.00 Beta 1, build 832 (05.02.2011)
=========================================
* Localizations were updated
* Playlist: grouping by folders has been improved
* Tag Editor: AutoTag by file name function has been improved
* Tag Editor: File renaming function is not case sensitive now
* Skins: Spectrum displays all frequencies
* Skins: Compatibility with AIMP2 skins has been improved
* Skins: Usability of the new playlist creation via Drag'n'Drop has been improved
* Skins: Rendering speed has been increased
* Audio Library: 'jump to current file' function has been improved
- Fixed: Problem with WAV-DTS playback
- Fixed: Sound effects didn't resumed after the program restart
- Fixed: Bug on file playing with enabled caching to occur in some cases
- Fixed: If track has cover with high resolution then it stuck on switching
- Fixed: Scroll buttons are not shown if context menu was out of screen bounds
- Fixed: Sorting by %M template didn't work
- Fixed: Incorrect device switching with stopped player
- Fixed: Format of audio stream incorrectly detected for some radio stations
- Fixed: Context menu display incorrectly on multi-monitor configuration
- Fixed: Some CUE-sheet files parsed incorrectly
- Fixed: Incorrect selection behavior with pressed Ctrl
- Fixed: Incorrect behavior of 'start playback on launching' function
- Fixed: Incorrect control of some sound effects
- Fixed: Some bugs with labels in Audio Library
- Fixed: Player didn't switch to the previous track if cursor was at the beginning of the playlist
- Fixed: Content-filters resets in Audio Library during the navigation by groups
- Fixed: Small bugs


AIMP v3.00 Beta 1, build 815 (30.12.2010)
=========================================
* BASS Libraries were updated
* Updated localizations: Armenian, Bulgarian, Czech, French, German, Japanese, Spanish, Ukrainian
* Skins: rendering speed has been increased
- Bugs were fixed


AIMP v3.00 Beta 1, build 810 (20.12.2010)
=========================================
+ CoverArt Downloader: Cache previous search results
+ CoverArt Downloader: Cover search now doesn't begin immediately after window shown
+ LastFM Scrobbler: Scrobbling track from internet radio
+ LastFM Scrobbler: Now works directly with the service
+ Scheduler: Added smooth volume increasing
+ Radio Capture: Added ability to make CUE sheet file
+ Radio Capture: Added ability to capture stream "as is" (only for MP3 / AAC / AAC+)
+ Radio Capture: Extended file split options - by time / by size
+ Sound Engine: Added ASIO / WASAPI / Direct Sound support
+ Sound Engine: Added OGG files support with multiple track inside
+ Sound Engine: Added DTS / TAK formats support
+ Sound Engine: Extended track mixing options
+ Sound Engine: Our output system, BASS is used now only as decoder
+ Sound Engine: Improved works with *.iso.wv / *.iso.ape files
+ Sound Engine: Added 5.1 / 7.1 Channels emulation
+ InfoBar: Added ability to display track cover art
+ InfoBar: Added ability to adjust background transparency
+ Internet Radiostation Catalog: Added tab "Custom"
+ Internet Radiostation Catalog: Integrated to audio library
+ Queue Manager: Double-click on track will focus it in the playlist
+ Queue Manager: Added track duration to the table
+ Queue Manager: Added information about total duration of all tracks in the queue
+ Icon Library: Added ability to set icon for each format
+ Player: Added ability to pin player / playlist on the screen edge
+ Player: Added ability to set alternative global hot keys
+ Player: Added ability to dock player with playlist to the screen edge
+ Player: Added ability of random switching visualizations
+ Player: Plugin manager was moved to options
+ Player: New design
+ Player: Improved options window
+ Player: Extended running line animation options
+ Player: Expanded tracklist export options
+ Playlist: Added ability to lock playlist from changes
+ Playlist: Added ability to set individual settings for every playlist
+ Playlist: Added ability to disable auto expanding files by CUE
+ Playlist: Added "Single playlist mode"
+ Playlist: Added %Up(), %Low(), %Caps(), %Replace() and %Char() macros
+ Playlist: Categories - Added ability to expand / collapse them
+ Playlist: Categories - Added optional separating template
+ Playlist: Categories - Added information about size and duration
+ Playlist: Categories now couldn't be separated into few parts
+ Tag Editor: Replay Gain - added ability to autocalculate values
+ Tag Editor: Replay Gain - added ability to enter values manually
+ Tag Editor: Added columns: Bitrate / Duration / ID3v1 / ID3v2 / APE / WMA / Vorbis
+ Tag Editor: Renaming one file - now highlight only file name
+ Tag Editor: Renaming by template - added ability to work with copy of the file
+ Tag Editor: Renaming by template: added confirmation dialog if file names match
+ Tag Editor: Field "Track Number / Track Count" was divided into two fields
+ Skins: Added ability to clone gauge and spectrum elements
+ Skins: Added ability to place playlist tabs vertically
+ Skins: Added ability to create round sliders
+ Skins: Added full support of semitransparent textures
+ Skins: Extended elements options
+ Skins: Tray icon is now depends from skin
+ Tags: Added reading M4A / M4B / MP4 tags
+ Tags: Added reading / writing covers to OGG files
+ Tags: Added reading / writing TTA / OFR / OFS tags
+ Tags: Increased tags reading speed
+ Audio Library: Quick content filtering among columns values
+ Audio Library: Added ability to group by any columns
+ Audio Library: Added ability to hide grouping window
+ Audio Library: Added report generation - total duration, favorite artist / album / genre
+ Audio Library: Added labels support
+ Audio Library: Disk number now used for grouping by albums
+ Audio Library: Implemented as independent application
+ Audio Library: Added ability to sort on several columns at once
+ Audio Library: ID3v2.4 separators support
+ Audio Library: Added ability to filter files by size or/and duration before adding to database
* Player: Main window now isn't frozen on file moving to removable device
* Playlist: "Send to..." - Added ability to copy additional files with main files
* Playlist: "Send to..." - Now you can rename by template options


AIMP v2.61, build 583 (07.08.2010)
==================================
+ Added localizations: Chinese (Traditional)
* Manuals were updated
* BASS Libraries were updated
* Localizations were updated
- Fixed: small bugs
- Fixed: information in the Aero Peek wasn't updated if the cover art of the current file has been changed
- Fixed: playback progress wasn't updated in the taskbar in some cases
- Fixed: incorrect reading of the cover arts from ID3v2.4 tags
- Fixed: bug with creation of the playlist when import files from other applications


AIMP v2.61, build 570 (05.06.2010)
==================================
* Manuals were updated
* BASS Libraries were updated
* Skins were updated
- Fixed: playback of the file didn't start from the beginning in some cases
- Fixed: bounds of the looped section were dropped if file position had been changed manually
- Fixed: Some WV files couldn't be played
- Fixed: bug with multiple folders selection in the dialog
- Fixed: bug with multiple selection in the playlist
- Fixed: bug with reading duration from some WMA files


AIMP v2.61, build 560 (22.03.2010)
==================================
* Manuals were updated
* License agreement was updated
* BASS Libraries were updated
* Localizations were updated
* Tags reading core was optimized
- Fixed: auto shutdown fails, if pause between tracks was switched on
- Fixed: sometimes the name of the radio station can be lost from playlist item
- Fixed: small bugs in Skin Engine
- Fixed: small bugs in plugins core


AIMP v2.60, build 551 (15.02.2010)
==================================
* Manuals were updated
* Localizations were updated
- Fixed: CUE files can't be played, if has unicode characters in the file name
- Fixed: small GUI bugs
- Fixed: bug with reading some WavPacks
- Fixed: program crash on closing, if Queue Manager shown
- Fixed: sending title of the current track to the DSP/General-plugins


AIMP v2.60, build 530 (05.01.2010)
==================================
+ Added ability to switch tracks by click on tray-icon
* Localizations were updated
- Fixed: stuttering at the beginning of playback of some files
- Fixed: bugs with playing CUE-files
- Small other bugs were fixed


AIMP v2.60, build 528 (30.12.2009)
==================================
* Localizations were updated
- Fixed: bug with loading some All-In-One skins
- Fixed: bugs in parser of CUE-files
- Small other bugs were fixed


AIMP v2.60, build 525 (07.12.2009)
==================================
* Localizations were updated
- Fixed: Critical bug in "Update checker"
- Fixed: Critical bug with writing tags in some OGG-files
- Small other bugs were fixed


AIMP v2.60, build 520 (01.12.2009)
==================================
+ Three new skins were added
* Localizations were updated
* Help files were updated
- Small bugs were fixed


AIMP v2.60 RC3, build 512 (08.11.2009)
======================================
* Localizations were updated
* Now radio stream recording continues after automatic reconnection to station
- Fixed: Embedded skins fonts are ignored
- Fixed: Bug with reading CUE-files
- Small bugs were fixed


AIMP v2.60 RC3, build 510 (01.11.2009)
======================================
* Localizations were updated
* Reduced system resources usage
- Fixed: Incorrect encoding of title of playlist item in some ways
- Known bugs were fixed


AIMP v2.60 RC2, build 507 (20.10.2009)
======================================
+ Ability to disable display of infobar if full-screen application is running
* BASS and SQLite3 libraries were updated
* Simple Scheduler: time editor were improved
- Known bugs were fixed


AIMP v2.60 RC1, build 505 (30.09.2009)
======================================
* Localizations were updated: German, Greek, Slovak, Turkish, Polish, Portuguese, Belarusian, Georgian, Uzbek, Ukrainian, Bulgarian
- Known bugs were fixed


AIMP v2.60 RC1, build 499 (05.09.2009)
======================================
* BASS and SQLite3 libraries were updated
* Localizations were updated
- Fixed: Proxy settings were ignored in Advanced tag editor
- Fixed bug with tags reading from some MusePack files
- Known bugs were fixed


AIMP v2.60 Beta 4, build 497 (31.08.2009)
=========================================
- Fixed critical bugs
- Fixed other small bugs


AIMP v2.60 Beta 4, build 495 (28.08.2009)
=========================================
+ Added localizations: Armenian и Chinese
+ Info Bar: Now is not shown if full-screen application is running
+ Core: Ability to read audio content info from MusePack v8
* Localizations were updated
- Fixed bug causing the program hanging in some cases
- Fixed bug with reading some cover arts from ID3v2
- Fixed: Proxy settings were ignored in "Online Radio" and "CoverArt Downloader" modules
- Known bugs were fixed


AIMP v2.60 Beta 3, build 491 (08.08.2009)
=========================================
+ Added ability to filter cover arts when downloading by file size
+ Added beta-versions of manual at the Russian and English languages
* Default Skin: added popup menu with playlists list
* Some localizations were updated
* Scheduler: Added ability to execute action after pre-set time period
* Scheduler: Interface were improved
- Fixed small bugs
- Fixed bugs in Skin Engine


AIMP v2.60 Beta 2, build 486 (11.07.2009)
=========================================
* Updated Italian localization
* Updated BASS files
- Fixed bugs in Skin Engine
- Fixed bugs in core


AIMP v2.60 Beta 2, build 485 (05.07.2009)
=========================================
+ Added logical sorting of playlist (for WinXP or higher)
- Fixed bugs


AIMP v2.60 Beta 2, build 484 (01.07.2009)
=========================================
+ Tag Editor: new column "album cover’s availability in tag-file" added
* New localization: Brasilian
* Localizations were updated
* Settings saveability on emergency reset were improved
* Audio Library: view style in “without grouping” mode has been changed from "CardsView" to "AlbumView"
- Some bugs fixed


AIMP v2.60 Beta 2, build 482 (20.06.2009)
=========================================
* Added localizations: Swedish
- Fixed critical bugs


AIMP v2.60 Beta 2, build 480 (16.06.2009)
=========================================
+ Added plugins: Integration to Win7 TaskBar, Simple Scheduler
+ Tag editor [Advanced]: added ability to show subfolder headers in the file list
* Updated libraries: sqlite3, bass
* Localizations were updated
* Skin Engine: Improved mask creation speed
* Improved compatibility with Windows 7
- Fixed bug with reading some ID3v2 tags
- Fixed numerous bugs


AIMP v2.60 Beta 1, build 472 (10.05.2009)
=========================================
- Fixed numerous bugs


AIMP v2.60 Beta 1, build 470 (01.05.2009)
=========================================
* Minor functionality changes
* Skin Engine: improved rendering speed
- Fixed numerous bugs


AIMP v2.60 Beta 1, build 466 (22.04.2009)
=========================================
+ Skin Engine: Added ability to disable windows magnetize effect
+ Skin Engine: Added saturation regulator
* Minor functionality changes
- Fixed numerous bugs


AIMP v2.60 Beta 1, build 462 (09.04.2009)
=========================================
+ DSP-Manager: Button to reset effects to their default values
+ DSP-Manager: Equalizer algorithm updated
+ DSP-Manager: "Replay gain" tag support in "Auto normalize sound volume" module
+ DSP-Manager: DFX9 compability improved
+ Skin Engine: "All In One" mode added
+ Skin Engine: Ability to create user's containers added
+ Skin Engine: New elements added - CoverArt, Rating Display, A-B Repeat Mode
+ Skin Engine: Docking Engine updated
+ Skin Engine: Half-opaque support for elements that can't contain other elements
+ Information line: Ability to adjust text alignment
+ Information line: Optional album art displaying
+ Information line: FadeIn and FadeOut
+ Queue: Ability to turn off queue saving after player shutdown
+ Queue: Ability to save queue as playlist
+ Queue: Moving queue manager items by mouse
+ Plugins: Automatic computer shutdown is a plugin now
+ Plugins: CoverArt Downloader added
+ Plugins: Active online Shoutcast / Ice cast radio stations browser added
+ Plugins: Information line is a plugin now
+ Player: Automatically subdividing to tracks when adding file that has CUE-Sheet
+ Player: "Windows Default" added to default sound output devices list
+ Player: Possibility to turn off Explorer context menu cascading
+ Player: Repeating of the part of the track (A-B Repeat) added
+ Player: Crossfading effect when rewinding track added
+ Player: Adjusting playlist scrolling speed
+ Player: Displaying duration and size of files, selected in playlist
+ Player: Reconnection to internet-radiostation when losing connection
+ Player: Embedded CUE-Sheet support for WV, FLAC, APE formats
+ Player: When playing CUE-Sheet real track's format will be displayed in information line
+ Player: Ability to adjust pause between tracks
+ Player: XSPF playlists support
+ Player: Template for filename for radio recording
+ Tag editor [Advanced]: Multiple deleting of selected tags
+ Tag editor [Advanced]: MiniPlayer for track preview
+ Tag editor: Ability to edit Embedded CUE-Sheet
+ Tag editor: "Disk number" field added
+ Audio Library: Ability to reset statistics
+ Audio Library: DB requests optimization
+ Audio Library: CUE-Sheet support
+ Audio Library: Sorting playlists by rating
+ Audio Library: Displaced files management
+ Core: Small bugs fixed
+ Core: "While-typing" TreeView navigation
+ Core: Internal classes and functions optimisation
+ Core: In Windows Vista and higher "Vista Dialogs" will be used instead of classic
+ Core: Single-line text painting speed-up
* Removed ability to dock main window to audio library because of the instability
* Removed title scrolling from playlist


AIMP v2.51, build 330 (30.12.2008)
==================================
* Updated: UTF8 encoding supports for cue-sheets
- Fixed: crash of program sometimes when listening internet-radio
- Fixed: Some small bugs


AIMP v2.51, build 328 (15.12.2008)
==================================
- Fixed: incorrect duration for some WAV-files
- Fixed: crash of shuffle-manager sometimes through switch between different playlists
- Fixed: playlist don't synchronize with list of audio library
- Fixed: if program process was killed, it doesn't start untill reboot
- Fixed: cache of files marks flushes during settings change
- Fixed: Some small bugs


AIMP v2.51, build 323 (29.11.2008)
==================================
* Usability were improved
- Fixed: don't work 32-bits sound processing option in B320
- Fixed: don't work Tempo and Pitch sound effects in B320
- Fixed: wrong duration for *.wv files in some times


AIMP v2.51, build 320 (23.11.2008)
==================================
+ Player: Bosnian and Croatian languages was added
+ Core: Ability to read ID3v1/2/APE tags for WavPack-format files
* License agreement was updated
* Audio Library: Grouping by albums set as default "CardsView" mode for "show all files"
* Audio Library: Adding files speeded up at 50 percents
- Fixed: Files with non-printing characters in the tag fields were not added to audio library
- Fixed: Autoplayback of playlist was not started after opening files if shuffle mode was active
- Fixed: Playlist playback was not started during playlist's navigation by hot keys, if the first track was "switched off"
- Fixed: Some small bugs


AIMP v2.50, build 312 (24.10.2008)
==================================
+ Player: Ability to save playlist with ansi-encoding
- Fixed: Sometimes changes did't saved in Audio library
- Fixed: There were no statistics for files with duration less than 15 seconds in Audio library
- Fixed: Incorrect work of "Randomize files at playlist" function
- Fixed: Wrong updating file information when CUE-Sheets playing
- Fixed: Bug with renaming files by template with illegal characters
- Fixed: Incorrect encoding of Russian text which loaded from CDDB
- Fixed: Could not added to the playlist files with *.fla extention
- Fixed: Some small bugs


AIMP v2.50, build 306 (10.10.2008)
==================================
+ DSP-Engine: Added Stereo Enhancer (for stereo only)
+ DSP-Engine: Added filter for normalization of sound
+ DSP-Engine: Added filter for passes silence when song playing
+ DSP-Engine: Added filter for reverse audio channels (for stereo only)
+ DSP-Engine: Added filter for voice removal
+ Quick Tag Editor: Ability to edit path of the file
+ Quick Tag Editor: Copy data to clipboard button
+ Quick Tag Editor: Copy file to clipboard button
+ Quick Tag Editor: New design
+ Quick Tag Editor: Auto fill tags based on name / path of file
+ Player: Ability to set a conversion table for non-Unicode strings
+ Player: Added LastFM plugin for work with LastFM service
+ Player: Added CD-Text  support
+ Player: Further development of the "copy to folder" function - list of "recent folders" added
+ Player: Right-click on a running line to open the Quick Tag Editor
+ Player: Stop button flashing when you set "stop after current track" option + Support of MMS protocol
+ Player: New module for playback / capture internet-radio + added MMS protocol support
+ Player: Bookmarks Manager updated
+ Player: Options for MIDI / MOD files playback
+ Player: Display the real names of tracks instead of "next / previous file" on navigation buttons
+ Player: Playback status displaying in the tip of tray icon
+ Player: CUE-Sheets module redesigned (track switching from the context menu of the current playback position)
+ Player: Options window ergonomic increased
+ Player: Transparency settings were improved for main windows
+ Player: Playlist saving on player close
+ Playlists: Ability to Autosave playlist at the address where it opened (kept in profile folder previously)
+ Playlists: Ability to cut the file from one playlist to another (when moving with Alt button down)
+ Playlists: Ability to add folders series to playlist by Open dialog
+ Playlists: Ability to use conditional operator in a string templates
+ Playlists: Code optimization
+ Playlists: Support of m3u8 playlists
+ Playlists: When you add folder to an empty playlist it name became as the name of a folder
+ Playlists: Bookmarks scrolling by mouse wheel in playlist
+ Playlists: Load / save playlist's operations accelerated
+ Playlists: Auto-sorting playlists in the window "Playlist Customization"
+ Advanced search: Ability to search for a job Playlist File
+ Advanced search: Playlist Manager calls from Advanced search window
+ Advanced search: Displaying the file number in the playlist
+ Advanced Tag Editor: Ability to set cover for several files
+ Advanced Tag Editor: Ability to tags removing from multiple files
+ Advanced Tag Editor: Added Auto fill tags function based on name / path of file
+ Advanced Tag Editor: Genres sorted alphabetically
+ Advanced Tag Editor: Code optimization
+ Advanced Tag Editor: Interface changed
+ Advanced Tag Editor: Red highlighting with the group rename files, which could not be renamed
+ Audio Library: Quick search for items in the groups-tree
+ Audio Library: Ability to change the order of table columns
+ Audio Library: Engine switched to SQLite3
+ Audio Library: Files add to the library by simply drag-n-drop
+ Audio Library: An interface of library updated
+ Audio Library: Quick navigation panel
+ Audio Library: FLAC / APE / AAC / MPC support
+ Audio Library: Expanded integration with player
+ Audio Library: Relative paths saving for files from removable media
+ Core: Ability for all functions to set both global and local keys
+ Core: The scheme of user's preferences storing were improved
+ Core: Added logarithmic volume control
+ Core: New capabilities for Addon-plugin
+ Core: New module for plug-ins management
+ Core: Skin Engine updated
+ Core: Updated to BASS v2.4
+ Core: Interaction with Winamp DSP / Input improved


AIMP v2.11, build 211 (15.03.2008)
==================================
+ Player: Selection in playlist will move to the current file regardless of the focus if manual navigation used
+ Player: AutoJump to the next file in tag editor was added
+ Player: Arabic localization was added
+ Player: Function of template formation was speeded up
- Fixed: Bug with QuickFileInfo updating
- Fixed: Bug with playlist window position in dualview mode
- Fixed: Bug with playing of multichannel audio
- Fixed: Bug with crossfade between tracks with active Mute or PreAMP modes
- Fixed: Bug in CUE-Parser
- Fixed: Bug with tracklist genereation by template
- Fixed: Bug with randomize by playlist function in DragNDrop Mode
- Fixed: Bug with Playlist selection in autojump to next playlist function


AIMP v2.10, build 210 (30.01.2008)
==================================
+ Player: Auto rename playlist on manual saving
+ Player: Quick search up & down by list
+ Player: Transparency of main windows
+ Player: Azerbaijani, Catalan, Chuvash, Slovenian, Tajik, Thai localizations were added
+ Player: Small visual changes
+ Player: Method of searching in playlist was updated - now the result is not affected by order of parts
+ Player: Method of searching in playlist was speeded up
- Library: bug in sorting items in playlists
- Fixed: Bug with AIMP working in minized mode
- Fixed: Bug with radio recording with 32-bit sound processing
- Fixed: Bug with Drag&Drop coping with wrong links
- Fixed: Bug with playlists creation
- Fixed: Bug with reading lyrics from *.OGG files


AIMP v2.09, build 209 (30.12.2007)
==================================
+ Player: Help in Russian was added
+ Player: Search album covers algorith was updated
+ Player: LangPackages format was updated
+ Player: Showing album covers from GIF
- Fixed: Bug with minimization to tray
- Fixed: Bug with reading lyrics from FLAC


AIMP v2.08 Beta, build 208 (30.11.2007)
=======================================
+ Player: Auto-hide playlist in toolbar mode only if AIMP window is non-focused
+ Player: Quick File Info is available instead of information line
+ Player: AIMP could divide internet-radio into tracks
+ Player: Manual scrolling of running line
+ Player: 32-bit sound processing
+ Player: Line formating of tracklist
+ Player: New Quick Tag Editor
+ Player: Showing album covers from JPG, BMP, PNG, TIFF (for Win2K is required GDI+)
+ Player: Jump to quick search by F3
+ Audio Library: Auto-compressing DB every 2 weeks
+ Audio Library: "Add to DataBase" menu was improved
- Fixed: Some bugs were fixed
- Fixed: Bug with wake up
- Fixed: Bug with saving state of DSP plugins
- Fixed: Bug with saving options in limited account
- Fixed: Bug with reading track number from tag with non-numerical tag-data
- Fixed: Bug with Unicode
- Audio Library: Bug with scrolling of list if it contains more than 32000 files
- Audio Library: Bug with language changing


AIMP v2.07 Beta, build 207 (29.10.2007)
=======================================
+ Player: Set file rating in Quick File Info
+ Player: New sound effects: Tempo & Pitch
+ Player: Now AIMP's interface supports unicode
+ Player: Radio records save in individual folders
+ Player: New hot key settings menu
+ Player: File queue management by keyboard
+ Playlist: Variable width of playlist in Toolbar mode
+ Playlist: Show dead file-links
+ Playlist: New bookmarks menu, ability to save current playing position of file
+ Playlist: Search in all playlists
+ Playlist: Playlist bookmarks sorting
+ Playlist: «Insert file after current» function was added
+ Audio Library: New interface mode – Card View
+ Audio Library: Search by file names in library
+ Audio Library: Saving last active item
* Player: Removed title scrolling from playlist
- Fixed: Bug with hidden folders adding
- Fixed: Bug with track lyrics in ID3v2 tags
- Fixed: Bug with track number of WMA files
- Fixed: Bug in Drag'n'Drop of files with unicode symbols in title
- Fixed: Speed up PLC-playlists loading


AIMP v2.05 Beta, build 205 (01.10.2007)
=======================================
+ Player: Ability of coping information of track to clipboard in QuickFileInfo
+ Player: Quick launch for equalizer and playlist settings
+ Player: Quick launch for skins in TrayControl
+ Player: Tags support utf16 format
- Fixed: Registry menu was not working in tag editor
- Fixed: Bugs with playing some MP3s
- Fixed: Bugs in SkinEngine
- Fixed: Bugs with shuffle mode
- Fixed: Bugs in winamp emulation module (with Input, Generic plugins)
- Fixed: Bugs with playing MMS-stream


AIMP v2.03 Beta, build 203 (14.09.2007)
=======================================
+ Player: DragAndDrop in playlist bookmarks
+ Player: Ability to change font in information line
+ Player: Upgraded function "Open folder with file"
+ Player: QuickEditor was wided
+ Player: Function "Search new files": searching in sub-folders now
- Fixed: Other small bugs
- Fixed: Did't show covers of albums
- Fixed: Bug in playing WAV-files grabbed by WMP
- Fixed: Bug in saving path of folder to record radio
- Fixed: Rendering frames in Windows Vista
- Fixed: Bug in "stop after current"
- Fixed: Bug in reading some CUE
- Fixed: Bug in reading ID3v2.4 tags
- Fixed: Bug in playing some MP3-files with VBR
- Playlist: Fixed focusing on player during D'n'D in playlist
- Playlist: Bug in tag-scanner of playlist


AIMP v2.02 Beta, build 202 (01.09.2007)
=======================================
+ Player: Adjustment of crossfading duration
+ Player: New tray status icon
+ Player: Analog Meter was updated
+ Player: Showing the adjustment of value of volume, balance and speed in running line
+ Player: AIMP applications' interplay module was remade
+ Player: Saving number of track in .PLC
+ Audio Library: Set rating from player's menu
+ Audio Library: Selection of columns in table
+ Audio Library: Highlighting of current playing item
+ Audio Library: Now released as plugin
- Fixed: Bug with Ogg radio
- Fixed: Some small bugs
- Fixed: Bug with "StayOnTop" mode
- Fixed: Bug with file-association
- Fixed: Bug with Drag'n'Droping files from playlist to other applications
- Fixed: Bug with SkinEngine
- Fixed: Bug with reading APE tags


AIMP v2.00 Beta 1, build 200 (08.08.2007)
=========================================
+ QuickEditor: Ability of multi editing
+ QuickEditor: Ability of save tags to playing file
+ Main: Support opening multiple files from command line
+ Main: Ability of scrolling title at button in the taskbar
+ Main: Ability of changing icon-schemes for file associations
+ Main: Ability of global volume control
+ Main: Ability of turn off the computer after N-th number of tracks
+ Main: New version of sound engine and ogg codec
+ Main: New version of "Analog Meter" plugin
+ Main: New style of program
+ Main: CUE sheets support
+ Main: Ability of viewing the album cover for current track
+ Main: Ability of autocreating tracklist for internet radio capturing
+ Main: Audio library
+ Main: ASX-Playlists support
+ Playlist: Quick search
+ Playlist: Grouping files in playlist with selected scheme
+ Playlist: Ability make playlist as desktop toolbar
+ Playlist: Ability to dock/undock playlist from main window, change horizontal size
+ Playlist: Ability of sorting playlists tabs
+ Playlist: New style of playlist
+ Tag Editor: Ability to translit / detranslit tags
+ Tag Editor: UTF8 support for all tags
+ Tag Editor: Graphic tags support for MP3, WMA files
+ Tag Editor: MPC tags support


